Pragma foreign_keys=false;

REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("APTT","APTT","0","1","21","30","600","800","-1","-100.0","0.300000","0","0","0","0.0","100.0","500.0","50.0","0","3","0.04000","0.70000","1.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("PT","PT","0","1","20","0","200","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","180.0","5.0","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("TT","TT","0","1","20","0","200","400","-1","-100.0","0.0","0","0","0","0.0","40.0","180.0","8.0","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("Fib","Fib","0","1","22","0","200","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","800","50","0","3","0.07000","0.70000","1.0","0.0","0.0","0.0");

DELETE 	FROM DiffRef WHERE AssayName='APTT';
DELETE 	FROM DiffRef WHERE AssayName='PT';
DELETE 	FROM DiffRef WHERE AssayName='TT';
DELETE 	FROM DiffRef WHERE AssayName='Fib';

REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Feline",NULL,NULL,"150.0","320.0");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Canine",NULL,NULL,"145.0","316.0");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Feline",NULL,NULL,"7.0","22.0");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Canine",NULL,NULL,"6.0","21.5");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Feline",NULL,NULL,"10.0","40.0");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Canine",NULL,NULL,"10.0","39.5");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Feline",NULL,NULL,"170","400");
REPLACE  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Canine",NULL,NULL,"155","375");

Pragma foreign_keys=true;
