Pragma foreign_keys=false;

REPLACE Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HbA1c","0","0","57","HbA1c","糖化血红蛋白","HbA1c","1","%","%","%","1","1.0","1.0","1.0","0.0","0");
REPLACE Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LAC","0","0","58","LAC","乳酸","LAC","2","mmol/L","mmol/L","mg/dL","1","1.0","9.0","1.0","0.0","0");
REPLACE Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("pH","0","0","59","pH","pH","pH","2",NULL,NULL,NULL,"1","1.0","1.0","1.0","0.0","0");
REPLACE Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("NH3","0","0","60","NH3","血氨","NH3","0","umol/L","umol/L","umol/L","1","1.0","1.0","1.0","0.0","0");

REPLACE Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","HbA1c","Feline",NULL,NULL,"1.5","2.5");
REPLACE Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","HbA1c","Canine",NULL,NULL,"2.5","4.5");
REPLACE Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","HbA1c", NULL, NULL,NULL, "4.0", "6.5");

REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","HbA1c","糖化血红蛋白");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","HbA1c","HbA1c");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","LAC","乳酸");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","LAC","LAC");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","pH","pH");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","NH3","血氨");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","NH3","NH3");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","RelatedOrgans","HbA1c","Whole body");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","HbA1c","全身性");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","RelatedOrgans","HbA1c","Cuerpo completo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","RelatedOrgans","HbA1c","Corps entier");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","RelatedOrgans","HbA1c","Gesamtkörper");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","RelatedOrgans","HbA1c","Sangue Total");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","RelatedOrgans","HbA1c","Все тело");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","RelatedOrgans","HbA1c","Tutto il corpo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","RelatedOrgans","LAC","Whole body");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","LAC","全身性");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","RelatedOrgans","LAC","Cuerpo completo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","RelatedOrgans","LAC","Corps entier");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","RelatedOrgans","LAC","Gesamtkörper");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","RelatedOrgans","LAC","Sangue Total");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","RelatedOrgans","LAC","Все тело");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","RelatedOrgans","LAC","Tutto il corpo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","RelatedOrgans","pH","Whole body");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","pH","全身性");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","RelatedOrgans","pH","Cuerpo completo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","RelatedOrgans","pH","Corps entier");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","RelatedOrgans","pH","Gesamtkörper");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","RelatedOrgans","pH","Sangue Total");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","RelatedOrgans","pH","Все тело");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","RelatedOrgans","pH","Tutto il corpo");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","RelatedOrgans","NH3","Liver");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","NH3","肝脏");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","RelatedOrgans","NH3","Hígado");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","RelatedOrgans","NH3","foie");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","RelatedOrgans","NH3","Leber");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","RelatedOrgans","NH3","Hepática");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","RelatedOrgans","NH3","Печень");
REPLACE Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","RelatedOrgans","NH3","Fegato");

REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("ALT","ALT-0","0","1","2","20","220","0","-1","1.0","0.0","0","0","2","0.4","0.0","900.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("UREA","UREA-0","0","-1","2","20","140","0","-1","1.0","0.0","0","0","2","1.0","0.0","45.0","0.4","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("tCO2","tCO2","0","1","1","40","160","0","-1","360.0","0.0","0","0","2","0.4","-8.27","50.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("AST","AST","0","1","2","100","220","0","-1","3200.0","0.0","0","0","2","0.8","-36.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");

REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("tCO2","tCO2","0","1","1","40","160","0","-1","360.0","0.0","0","0","2","0.4","-8.27","50.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("AST","AST","0","1","2","100","220","0","-1","3200.0","0.0","0","0","2","0.8","-36.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");

REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("HbA1c","HbA1c","6","-1","0","260","0","0","-1","1.0","0.0","0","0","0","0.0","0.0","18.0","0.4","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("LAC","LAC","0","1","0","220","0","0","-1","1.0","0.0","0","0","0","0.0","0.0","15.0","0.4","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("pH","pH","4","-1","0","220","0","0","-1","1.0","0.0","0","0","0","0.0","0.0","9.0","6.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("NH3","NH3","0","1","2","0","220","0","-1","1.0","0.0","0","0","0","0.0","0.0","180.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");

Pragma foreign_keys=true;
