Pragma foreign_keys=false;

ALTER TABLE PlateDetect RENAME TO tmp;
CREATE TABLE [PlateDetect] (SampleResultID integer, Type smallint, Hole smallint, Descr nvarchar(255), Primary key (SampleResultID, Type, Hole));
Insert Into PlateDetect Select * From tmp;
Drop Table If Exists tmp;
REPLACE  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("FRUC","0","0","69","FRUC","果糖胺","FRUC","1","umol/L","umol/L","umol/L","1","1.0","0.1","1.0","0.0","0");
REPLACE  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HCY","0","0","70","HCY","同型半胱氨酸","HCY","1","umol/L","umol/L","umol/L","1","1.0","0.1","1.0","0.0","0");
REPLACE  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CK-MB","0","0","46","CK-MB","肌酸激酶MB同工酶","CK-MB","0","U/L","U/L","U/L","1","1.0","1.0","1.0","0.0","0");


REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("FRUC","FRUC","4","6","1","100","220","0","-1","0.0","0.0","0","0","0","0.0","0.0","1000.0","50.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("CK-MB","CK-MB","0","1","2","0","220","0","-1","0.0","0.0","0","0","0","0","0.0","250.0","2.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("HCY","HCY","0","1","2","0","220","0","-1","0.0","0.0","0","0","0","0.0","0.0","60.0","1.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("AST","AST-0","0","-1","2","0","220","0","-1","1.0","0.0","0","0","2","0.3","0.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","CK-MB","肌酸激酶MB同工酶");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","FRUC","胰腺");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","HCY","心脏");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","FRUC","果糖胺是反映测定浅2~3周的平均血糖水平，升高表示近期血糖控制较差，可能引发高血糖，糖尿病等病症。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","FRUC","偏低表示近期有低血糖症，需注意增加糖类物质摄入量。");

Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","FRUC","果糖胺");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","AssayName","FRUC","FRUC");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","HCY","HCY");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","HCY","同型半胱氨酸");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","HCY","HCY");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","HCY","HCY");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","HCY","HCY");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","HCY","HCY");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","AssayName","HCY","HCY");


Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","FRUC","果糖胺是反映测定前2-3周的平均血糖水平，升高表示近期血糖控制较差，可能引发高血糖、糖尿病等病症。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","FRUC","La fructosamina refleja el nivel promedio de glucosa en sangre 2-3 semanas antes de la medición. Un aumento indica un control deficiente de la glucosa en sangre en un futuro próximo, lo que puede causar hiperglucemia, diabetes y otras enfermedades.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","FRUC","La fructosamine reflète la glycémie moyenne 2 à 3 semaines avant la mesure. Une augmentation indique un mauvais contrôle de la glycémie dans un proche avenir, ce qui peut entraîner une hyperglycémie, un diabète et d'autres maladies.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","FRUC","Fructosamin spiegelt den durchschnittlichen Blutzuckerspiegel 2-3 Wochen vor der Messung wider. Ein Anstieg weist auf eine schlechte Blutzuckerkontrolle in naher Zukunft hin, die Hyperglykämie, Diabetes und andere Krankheiten verursachen kann.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","FRUC","La fruttosamina riflette il livello medio di glucosio nel sangue 2-3 settimane prima della misurazione. Un aumento indica uno scarso controllo della glicemia nel prossimo futuro, che potrebbe causare iperglicemia, diabete e altre malattie.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanHigh","FRUC","Fruktosamin återspeglar den genomsnittliga blodsockernivån 2-3 veckor före mätningen. En ökning indikerar dålig blodglukoskontroll inom en snar framtid, vilket kan orsaka hyperglykemi, diabetes och andra sjukdomar.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","FRUC","Low indicates that the pet has recently had hypoglycemia, and attention should be paid to increase the intake of carbohydrates.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","FRUC","偏低表示近期有低血糖症，需注意增加糖类物质摄入量。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","FRUC","Bajo indica que la mascota ha tenido hipoglucemia recientemente y se debe prestar atención a aumentar la ingesta de carbohidratos.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","FRUC","Low indique que l'animal a récemment souffert d'hypoglycémie et qu'il faut veiller à augmenter l'apport en glucides.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","FRUC","Niedrig zeigt an, dass das Haustier kürzlich eine Hypoglykämie hatte, und es sollte darauf geachtet werden, die Aufnahme von Kohlenhydraten zu erhöhen.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","FRUC","Basso indica che l'animale ha recentemente avuto ipoglicemia e si dovrebbe prestare attenzione per aumentare l'assunzione di carboidrati.");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanLow","FRUC","Låg indikerar att husdjuret nyligen har haft hypoglykemi, och uppmärksamhet bör ägnas åt att öka intaget av kolhydrater.");


ALTER TABLE HoleData ADD Ratio double;
ALTER TABLE ReactionParam ADD Ratio double;
update ReactionParam set Ratio = "1.0";

Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("APTT-0","0","1","53","APTT","活化部分凝血酶时间","APTT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("PT-0","0","1","54","PT","凝血酶原时间","PT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TT-0","0","1","55","TT","凝血酶时间","TT","1","s","s","s","1","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Fib-0","0","1","56","Fib","纤维蛋白原","Fib","0","mg/dL","mg/dL","mg/dL","1","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Fib","0","0","56","Fib","纤维蛋白原","Fib","2","g/L","g/L","g/L","1","1.0","1.0","1.0","0.0","0");

Delete from DiffRef where PatientObjType = '0' and AssayName = 'Fib' or AssayName = 'Fib-0';
Delete from DiffRef where PatientObjType = '0' and AssayName = 'APTT' or AssayName = 'APTT-0';
Delete from DiffRef where PatientObjType = '0' and AssayName = 'PT' or AssayName = 'PT-0';
Delete from DiffRef where PatientObjType = '0' and AssayName = 'TT' or AssayName = 'TT-0';
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT-0","Feline",NULL,NULL,"150.0","380.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT-0","Canine",NULL,NULL,"145.0","316.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Feline",NULL,NULL,"36.0","90.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","APTT","Canine",NULL,NULL,"36.0","81.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT-0","Feline",NULL,NULL,"7.0","22.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT-0","Canine",NULL,NULL,"6.0","21.5");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Feline",NULL,NULL,"8.0","18.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PT","Canine",NULL,NULL,"9.0","18.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT-0","Feline",NULL,NULL,"10.0","50.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT-0","Canine",NULL,NULL,"10.0","39.5");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Feline",NULL,NULL,"6.5","16.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TT","Canine",NULL,NULL,"5.0","15.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib-0","Feline",NULL,NULL,"170","400");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib-0","Canine",NULL,NULL,"155","375");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Feline",NULL,NULL,"1.50","3.00");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Fib","Canine",NULL,NULL,"1.70","3.20");

update DiffRef set RefLower = '35.0', RefUpper = '55.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Feline' and AgeType = 'Childhood';

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","Fib-0","纤维蛋白原");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","Fib-0","Fib");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","APTT-0","活化部分凝血活酶时间");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","APTT-0","APTT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","PT-0","凝血酶原时间");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","PT-0","PT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","TT-0","凝血酶时间");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","TT-0","TT");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","TT-0","TT");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","Fib-0","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","Fib-0","减少：先天性纤维蛋白原缺乏症；严重肝病。增高：血栓性疾病，急性炎症，手术创伤，恶性肿瘤。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","Fib-0","Fibrinógeno disminuido: Deficiencia de fibrinógeno congénita, enfermedad severa de hígado. Fibrinógeno elevado: Hipercoagulación, enfermedades trombóticas, inflamaciones agudas. Trauma quirúrgico. Si los resultados son anormales es necesario combinar con los síntomas");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","Fib-0","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","Fib-0","Vermindertes Fibrinogen: Angeborener Fibrinogenmangel; schwere Lebererkrankung. Erhöhtes Fibrinogen: Hyperkoagulabilität: thrombotische Erkrankung, akute Entzündung, chirurgisches Trauma, Malignität. Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanHigh","Fib-0","Diminuição do fibrinogênio: deficiência congênita de fibrinogênio; doença hepática grave. Aumento do fibrinogênio: Hipercoagulabilidade: Doença trombótica, inflamação aguda, trauma cirúrgico, malignidade. Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","Fib-0","Diminuzione del fibrinogeno: carenza di fibrinogeno congenito; grave malattia del fegato. Aumento fibrinogeno: ipercoagulabilità: malattia trombotica, infiammazione acuta, trauma chirurgico, neoplasie. Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanHigh","Fib-0","Снижение фибриногена: врожденный дефицит фибриногена; тяжелая болезнь печени. Повышенное содержание фибриногена: гиперкоагуляция :тромботические заболевания, острый воспалительный процесс, хирургическая травма, злокачественное образование.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","Fib-0","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","Fib-0","减少：先天性纤维蛋白原缺乏症；严重肝病。增高：血栓性疾病，急性炎症，手术创伤，恶性肿瘤。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","Fib-0","Fibrinógeno disminuido: Deficiencia de fibrinógeno congénita, enfermedad severa de hígado. Fibrinógeno elevado: Hipercoagulación, enfermedades trombóticas, inflamaciones agudas. Trauma quirúrgico. Si los resultados son anormales es necesario combinar con los síntomas");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","Fib-0","Decreased fibrinogen: Congenital fibrinogen deficiency; severe liver disease. Increased fibrinogen: Hypercoagulability :Thrombotic disease, acute inflammation, surgical trauma, malignancy. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","Fib-0","Vermindertes Fibrinogen: Angeborener Fibrinogenmangel; schwere Lebererkrankung. Erhöhtes Fibrinogen: Hyperkoagulabilität: thrombotische Erkrankung, akute Entzündung, chirurgisches Trauma, Malignität. Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanLow","Fib-0","Diminuição do fibrinogênio: deficiência congênita de fibrinogênio; doença hepática grave. Aumento do fibrinogênio: Hipercoagulabilidade: Doença trombótica, inflamação aguda, trauma cirúrgico, malignidade. Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","Fib-0","Diminuzione del fibrinogeno: carenza di fibrinogeno congenito; grave malattia del fegato. Aumento fibrinogeno: ipercoagulabilità: malattia trombotica, infiammazione acuta, trauma chirurgico, neoplasie. Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanLow","Fib-0","Снижение фибриногена: врожденный дефицит фибриногена; тяжелая болезнь печени. Повышенное содержание фибриногена: гиперкоагуляция :тромботические заболевания, острый воспалительный процесс, хирургическая травма, злокачественное образование.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","APTT-0","Time prolonged:Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced: Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","APTT-0","延长：内源性途经的凝血因子缺乏；纤维蛋白原降低；肝病、DIC。缩短：血栓性疾病。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","APTT-0","Tiempo prolongado: faltan factores de coagulación endógenos; reducción severa del fibrinógeno; enfermedad hepática severa, DIC. Tiempo reducido: hipercoagulabilidad (trombosis cerebral, infarto de miocardio). Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","APTT-0","Time prolonged:Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced: Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","APTT-0","Zeit verlängert:Mangel an endogenen Gerinnungsfaktoren; schwere Fibrinogenreduktion; schwere Lebererkrankung, DIC. Zeit verkürzt: Hyperkoagulabilität (zerebrale Thrombose, Myokardinfarkt). Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanHigh","APTT-0","Tempo prolongado: falta de fatores endógenos de coagulação; redução severa de fibrinogênio; doença hepática grave, DIC. Tempo reduzido: Hipercoagulabilidade (trombose cerebral, enfarte do miocárdio). Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","APTT-0","Tempo prolungato: carenza di fattori endogeni di coagulazione; grave riduzione del fibrinogeno; grave malattia del fegato, DIC. Tempo ridotto: ipercoagulabilità (trombosi cerebrale, infarto miocardico). Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanHigh","APTT-0","Увеличенное время: Нехватка эндогенных факторов свертывания; сильное уменьшение фибриногена; тяжелые поражения печени. Сокращенное время : гиперкоагуляция");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","APTT-0","Time prolonged:Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced: Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","APTT-0","延长：内源性途经的凝血因子缺乏；纤维蛋白原降低；肝病、DIC。缩短：血栓性疾病。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","APTT-0","Tiempo prolongado: faltan factores de coagulación endógenos; reducción severa del fibrinógeno; enfermedad hepática severa, DIC. Tiempo reducido: hipercoagulabilidad (trombosis cerebral, infarto de miocardio). Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","APTT-0","Time prolonged:Endogenous coagulation factors lack; severe fibrinogen reduction; severe liver disease, DIC. Time reduced: Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","APTT-0","Zeit verlängert:Mangel an endogenen Gerinnungsfaktoren; schwere Fibrinogenreduktion; schwere Lebererkrankung, DIC. Zeit verkürzt: Hyperkoagulabilität (zerebrale Thrombose, Myokardinfarkt). Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanLow","APTT-0","Tempo prolongado: falta de fatores endógenos de coagulação; redução severa de fibrinogênio; doença hepática grave, DIC. Tempo reduzido: Hipercoagulabilidade (trombose cerebral, enfarte do miocárdio). Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","APTT-0","Tempo prolungato: carenza di fattori endogeni di coagulazione; grave riduzione del fibrinogeno; grave malattia del fegato, DIC. Tempo ridotto: ipercoagulabilità (trombosi cerebrale, infarto miocardico). Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanLow","APTT-0","Увеличенное время: Нехватка эндогенных факторов свертывания; сильное уменьшение фибриногена; тяжелые поражения печени. Сокращенное время : гиперкоагуляция");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","PT-0","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","PT-0","延长：外源性途经的凝血缺乏；纤维蛋白原降低；维生素K缺乏症；肝病。缩短：血栓性疾病。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","PT-0","Tiempo prolongado: faltan factores de coagulación exógenos, reducción severa del fibrinógeno; deficiencia de vitamina K; enfermedad hepática grave. Tiempo reducido: hipercoagulabilidad (trombosis cerebral, infarto de miocardio). Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","PT-0","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","PT-0","Zeit verlängert: Mangel an exogenen Gerinnungsfaktoren; starke Fibrinogenreduktion; Vitamin-K-Mangel; schwere Lebererkrankung. Zeit verkürzt: Hyperkoagulabilität (Hirnthrombose, Myokardinfarkt). Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanHigh","PT-0","Tempo prolongado: falta de fatores de coagulação exógenos, redução severa do fibrinogênio; deficiência de vitamina K; doença hepática grave. Tempo reduzido: Hipercoagulabilidade (trombose cerebral, enfarte do miocárdio). Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","PT-0","Tempo prolungato: carenza di fattori esogeni di coagulazione, grave riduzione del fibrinogeno; carenza di vitamina K; grave malattia del fegato. Tempo ridotto: ipercoagulabilità (trombosi cerebrale, infarto miocardico). Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanHigh","PT-0","Увеличенное время: Нехватка экзогенных факторов свертывания; сильное уменьшение фибриногена; нехватка витамина К, тяжелые поражения печени. Сокращенное время: гиперкоагуляция");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","PT-0","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","PT-0","延长：外源性途经的凝血缺乏；纤维蛋白原降低；维生素K缺乏症；肝病。缩短：血栓性疾病。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","PT-0","Tiempo prolongado: faltan factores de coagulación exógenos, reducción severa del fibrinógeno; deficiencia de vitamina K; enfermedad hepática grave. Tiempo reducido: hipercoagulabilidad (trombosis cerebral, infarto de miocardio). Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","PT-0","Time prolonged: Exogenous coagulation factors lack;severe fibrinogen reduction; vitamin K deficiency; severe liver disease. Time reduced : Hypercoagulability (cerebral thrombosis, myocardial infarction). When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","PT-0","Zeit verlängert: Mangel an exogenen Gerinnungsfaktoren; starke Fibrinogenreduktion; Vitamin-K-Mangel; schwere Lebererkrankung. Zeit verkürzt: Hyperkoagulabilität (Hirnthrombose, Myokardinfarkt). Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanLow","PT-0","Tempo prolongado: falta de fatores de coagulação exógenos, redução severa do fibrinogênio; deficiência de vitamina K; doença hepática grave. Tempo reduzido: Hipercoagulabilidade (trombose cerebral, enfarte do miocárdio). Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","PT-0","Tempo prolungato: carenza di fattori esogeni di coagulazione, grave riduzione del fibrinogeno; carenza di vitamina K; grave malattia del fegato. Tempo ridotto: ipercoagulabilità (trombosi cerebrale, infarto miocardico). Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanLow","PT-0","Увеличенное время: Нехватка экзогенных факторов свертывания; сильное уменьшение фибриногена; нехватка витамина К, тяжелые поражения печени. Сокращенное время: гиперкоагуляция");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","TT-0","Time prolonged: Fibrinogen decreased or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","TT-0","延长：纤维蛋白原减低或结构异常；FDP增多，如纤溶亢进，循环中抗凝物质增多。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","TT-0","Tiempo prolongado: Fibrinógeno disminuido o anomalías estructurales; aumento de FDP, como la hiperfibrinolisis, aumento de sustancias anticoagulantes circulantes. Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","TT-0","Time prolonged: Fibrinogen decreased or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","TT-0","Zeit verlängert: Erniedrigtes Fibrinogen oder strukturelle Anomalien; erhöhte fibrinolytische Spaltprodukte (FSP), wie z.B. Hyperfibrinolyse, erhöhte zirkulierende gerinnungshemmende Substanzen. Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanHigh","TT-0","Tempo prolongado: diminuição de fibrinogênio ou anormalidades estruturais; aumento de FDP, como hiperfibrinólise, aumento de substâncias anticoagulantes circulantes. Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","TT-0","Tempo prolungato: diminuzione del fibrinogeno o anomalie strutturali; aumento di FDP, come iperfibrinolisi, aumento delle sostanze anticoagulanti circolanti. Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanHigh","TT-0","Увеличенное время: уменьшение фибриногена или структурные аномалии; гиперфибринолиз, увеличенная циркуляция антикоагулянтов");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","TT-0","Time prolonged: Fibrinogen decreased or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","TT-0","延长：纤维蛋白原减低或结构异常；FDP增多，如纤溶亢进，循环中抗凝物质增多。检测结果出现异常时，需要结合临床症状进行疾病诊断。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","TT-0","Tiempo prolongado: Fibrinógeno disminuido o anomalías estructurales; aumento de FDP, como la hiperfibrinolisis, aumento de sustancias anticoagulantes circulantes. Cuando los resultados de la prueba son anormales, es necesario combinar los síntomas clínicos para el diagnóstico de la enfermedad.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","TT-0","Time prolonged: Fibrinogen decreased or structural abnormalities; increased FDP, such as hyperfibrinolysis, increased circulating anticoagulant substances. When the test results are abnormal, it is necessary to combine the clinical symptoms for disease diagnosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","TT-0","Zeit verlängert: Erniedrigtes Fibrinogen oder strukturelle Anomalien; erhöhte fibrinolytische Spaltprodukte (FSP), wie z.B. Hyperfibrinolyse, erhöhte zirkulierende gerinnungshemmende Substanzen. Bei abnormen Testergebnissen müssen bei der Diagnose die klinischen Symptome berücksichtigt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanLow","TT-0","Tempo prolongado: diminuição de fibrinogênio ou anormalidades estruturais; aumento de FDP, como hiperfibrinólise, aumento de substâncias anticoagulantes circulantes. Quando os resultados do teste são anormais, é necessário combinar os sintomas clínicos para o diagnóstico da doença.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","TT-0","Tempo prolungato: diminuzione del fibrinogeno o anomalie strutturali; aumento di FDP, come iperfibrinolisi, aumento delle sostanze anticoagulanti circolanti. Quando i risultati del test sono anormali, è necessario combinare i sintomi clinici per la diagnosi della malattia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","ClinicalMeanLow","TT-0","Увеличенное время: уменьшение фибриногена или структурные аномалии; гиперфибринолиз, увеличенная циркуляция антикоагулянтов");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","TC","1. Hyperlipidämie bei Hypothyreose; 2. Diabetes mellitus; 3. Nephrotisches Syndrom; 4. Canine akute Pankreatitis; 5. Fettgewebsnekrose Katze; 6. Lebererkrankung mit Gallengangsobstruktion; 7. akute Nephritis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","PlateDescr","91","浅孔凝血盘");

Replace  Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("91","91","610","610","1","11","3","7","30");
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','21','PT-0','3','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','22','Fib-0','5','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','23','TT-0','4','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('90','24','APTT-0','4','30','600','800');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('91','22','Fib-1','5','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('91','23','TT-1','3','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('91','24','PT-1','4','0','200','400');
Replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('91','25','APTT-1','4','30','600','800');


Delete from ReactionParam where ReactionID = "APTT";
Delete from ReactionParam where ReactionID = "PT";
Delete from ReactionParam where ReactionID = "TT";
Delete from ReactionParam where ReactionID = "Fib";
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Fib-0","Fib-0","0","7","22","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","800","50","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("APTT-0","APTT-0","0","7","21","30","600","800","-1","-100.0","0.300000","0","0","0","0.0","100.0","500.0","50.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("PT-0","PT-0","0","7","20","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","180.0","5.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TT-0","TT-0","0","7","20","0","300","400","-1","-100.0","0.0","0","0","0","0.0","40.0","180.0","8.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("APTT","APTT-1","0","7","21","15","300","800","-1","-100.0","0.0","0","0","0","0.0","100.0","300.0","15.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("PT","PT-1","0","7","20","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","100.0","0.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TT","TT-1","0","7","20","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","100.0","0.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Fib","Fib-1","0","7","22","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","100.0","0.15","0","3","0.04000","9.00000","0.0907","2.7084","0.0","0.0","6.6");

update HoleData set Assay = "APTT-0" where Assay = "APTT";
update HoleData set Assay = "PT-0" where Assay = "PT";
update HoleData set Assay = "TT-0" where Assay = "TT";
update HoleData set Assay = "Fib-0" where Assay = "Fib";

Replace  Into [SettingFile] ([FileID],[FileType],[FileName],[FileTitle],[Descr]) Values("11","0","TestPlate_30HoleV2.ini","30孔常规测试盘","适用于医院常规30孔测试盘");


UPDATE DiffRef SET RefLower="0.7", RefUpper="1.5" WHERE PatientObjType=0 AND AssayName="A/G" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="25.0", RefUpper="37.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="150.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="165.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="1355.0", AgeType = null WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Canine" AND  (AgeType = 'Childhood' OR AgeType = 'Adult' OR AgeType = 'The elderly' OR AgeType IS NULL) AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="69.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.067615658", RefUpper="5.69395017793594" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.1", RefUpper="8.9" WHERE PatientObjType=0 AND AssayName="UREA" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.175", RefUpper="2.65" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="292.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="97.0", RefUpper="126.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="53.0035335689046", RefUpper="106.007067137809" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.44062153163152", RefUpper="6.49278579356271" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.4", RefUpper="4.4" WHERE PatientObjType=0 AND AssayName="K" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.495867768595041", RefUpper="0.909090909090909" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="139.0", RefUpper="149.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.06451612903226", RefUpper="2.09677419354839" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.1003060183611" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="14.0", RefUpper="25.0" WHERE PatientObjType=0 AND AssayName="tCO2" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="55.0", RefUpper="85.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.32183908045977", RefUpper="2.18390804597701" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="21.0", RefUpper="40.0" WHERE PatientObjType=0 AND AssayName="GLOB" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;



UPDATE DiffRef SET RefLower="0.5", RefUpper="0.8" WHERE PatientObjType=0 AND AssayName="A/G" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="21.0", RefUpper="33.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="115.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="112.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="1600.0", AgeType = null WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Feline" AND  (AgeType = 'Childhood' OR AgeType = 'Adult' OR AgeType = 'The elderly' OR AgeType IS NULL) AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="41.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="4.98220640569395", RefUpper="9.25266903914591" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="4.6", RefUpper="10.7" WHERE PatientObjType=0 AND AssayName="UREA" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.125", RefUpper="2.5" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="317.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="97.0", RefUpper="133.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="97.1731448763251", RefUpper="176.678445229682" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.60710321864595", RefUpper="8.10210876803552" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.0", RefUpper="4.7" WHERE PatientObjType=0 AND AssayName="K" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.619834710743802", RefUpper="1.03305785123967" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="142.0", RefUpper="152.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.19354838709677", RefUpper="1.80645161290323" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.1003060183611" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="13.0", RefUpper="23.0" WHERE PatientObjType=0 AND AssayName="tCO2" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="73.0", RefUpper="93.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.264367816091954", RefUpper="1.59770114942529" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="41.0", RefUpper="57.0" WHERE PatientObjType=0 AND AssayName="GLOB" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;



Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","A/G","Equine",NULL,NULL,"0.5","1.3");
UPDATE DiffRef SET RefLower="25.0", RefUpper="40.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="290.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="50.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
DELETE FROM DiffRef where PatientObjType="0" AND AssayName="AMY" AND Category="Equine";
UPDATE DiffRef SET RefLower="0.0", RefUpper="433.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.55871886120996", RefUpper="7.11743772241993" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.6", RefUpper="8.9" WHERE PatientObjType=0 AND AssayName="UREA" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.5", RefUpper="4.0" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="400.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="83.0", RefUpper="99.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="53.0035335689046", RefUpper="159.010600706714" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.77358490566038", RefUpper="6.0488346281909" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.8", RefUpper="4.9" WHERE PatientObjType=0 AND AssayName="K" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.661157024793388", RefUpper="1.2396694214876" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="134.0", RefUpper="149.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.645161290322581", RefUpper="1.51612903225806" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="44.2026521591295" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
Delete from DiffRef where PatientObjType = '0' and AssayName = 'tCO2' and Category = 'Equine';
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","tCO2","Equine",NULL,NULL,"20.0","34.0");
UPDATE DiffRef SET RefLower="65.0", RefUpper="85.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="0.919540229885057" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="25.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="29.0", RefUpper="52.0" WHERE PatientObjType=0 AND AssayName="GLOB" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;


UPDATE DiffRef SET RefLower="36.0", RefUpper="57.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="397.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="61.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="459.0" WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="28.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.311688311688312", RefUpper="2.67532467532468" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.09964412811388", RefUpper="8.39857651245552" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.1", RefUpper="3.9" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="958.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="93.0", RefUpper="109.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="35.3356890459364", RefUpper="167.844522968198" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="13.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="13.0", RefUpper="17.0" WHERE PatientObjType=0 AND AssayName="GLOB" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="5.82685904550499", RefUpper="14.8168701442841" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.7", RefUpper="6.3" WHERE PatientObjType=0 AND AssayName="K" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.909090909090909", RefUpper="1.65289256198347" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="139.0", RefUpper="149.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.806451612903226", RefUpper="3.16129032258065" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="1.70010200612037" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="59.0", RefUpper="74.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.448275862068966", RefUpper="3.36781609195402" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Rabbit" AND  AgeType IS NULL AND SmplType IS NULL;



UPDATE DiffRef SET RefLower="28.0", RefUpper="44.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="141.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="242.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AMY","Ferret",NULL,NULL,"0.0","62.0");
UPDATE DiffRef SET RefLower="0.0", RefUpper="142.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="4.69750889679715", RefUpper="16.9039145907473" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.0", RefUpper="2.6" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.38961038961039", RefUpper="7.11688311688312" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","CK","Ferret",NULL,NULL,"0.0","730.0");
UPDATE DiffRef SET RefLower="108.0", RefUpper="119.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="17.6678445229682", RefUpper="70.6713780918728" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GGT","Ferret",NULL,NULL,"0.0","14.0");
UPDATE DiffRef SET RefLower="2.99667036625971", RefUpper="8.49056603773585" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.9", RefUpper="5.9" WHERE PatientObjType=0 AND AssayName="K" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Mg","Ferret",NULL,NULL,"0.909090909090909","1.5702479338843");
UPDATE DiffRef SET RefLower="140.0", RefUpper="169.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.0", RefUpper="3.09677419354839" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="3.40020401224073" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="54.0", RefUpper="77.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TG","Ferret",NULL,NULL,"0.494252873563218","2.81609195402299");


UPDATE DiffRef SET RefLower="41.0", RefUpper="54.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="70.0", RefUpper="132.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="26.0", RefUpper="37.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="40.0", RefUpper="53.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="5.69395017793594", RefUpper="6.76156583629893" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.625", RefUpper="3.25" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.935064935064935", RefUpper="2.5974025974026" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="309.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="85.0", RefUpper="102.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="44.1696113074205", RefUpper="123.674911660777" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="6.32630410654828", RefUpper="7.93562708102109" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="5.3", RefUpper="7.5" WHERE PatientObjType=0 AND AssayName="K" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="12.0" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="143.0", RefUpper="150.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.61290322580645", RefUpper="4.19354838709677" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="64.0", RefUpper="85.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;


UPDATE DiffRef SET RefLower="0.0", RefUpper="170.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="68.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="3500.0" WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="35.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.20284697508897", RefUpper="8.18505338078292" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.4", RefUpper="3.5" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.0", RefUpper="3.32467532467532" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="2000.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="102.0", RefUpper="106.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="39.7526501766784", RefUpper="132.508833922261" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="45.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.88457269700333", RefUpper="6.38179800221976" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="4.0", RefUpper="5.0" WHERE PatientObjType=0 AND AssayName="K" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.495867768595041", RefUpper="1.32231404958678" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="140.0", RefUpper="160.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.09677419354839", RefUpper="3.29032258064516" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="4.25025501530092" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="86.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="0.505747126436782" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;


UPDATE DiffRef SET RefLower="30.0", RefUpper="42.0" WHERE PatientObjType=0 AND AssayName="ALB" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="300.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="50.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="80.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.30960854092527", RefUpper="4.98220640569395" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.3", RefUpper="2.8" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.94805194805195", RefUpper="3.11688311688312" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="100.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="95.0", RefUpper="110.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="88.339222614841", RefUpper="176.678445229682" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="50.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.21975582685905", RefUpper="3.32963374028857" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.5", RefUpper="4.5" WHERE PatientObjType=0 AND AssayName="K" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.785123966942149", RefUpper="1.32231404958678" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="135.0", RefUpper="157.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.61290322580645", RefUpper="2.29032258064516" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.1003060183611" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="60.0", RefUpper="80.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TG","Cattle",NULL,NULL,"0.172413793103448","0.517241379310345");


UPDATE DiffRef SET RefLower="0.0", RefUpper="100.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="14.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="75.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="4.27046263345196", RefUpper="8.18505338078292" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.1", RefUpper="2.7" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.16883116883117", RefUpper="1.94805194805195" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="25.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="100.0", RefUpper="106.0" WHERE PatientObjType=0 AND AssayName="Cl" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="53.0035335689046", RefUpper="123.674911660777" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="32.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.21975582685905", RefUpper="3.32963374028857" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.5", RefUpper="4.5" WHERE PatientObjType=0 AND AssayName="K" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.785123966942149", RefUpper="1.15702479338843" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="149.0", RefUpper="160.0" WHERE PatientObjType=0 AND AssayName="Na" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.29032258064516", RefUpper="1.93548387096774" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="6.80040802448147" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="55.0", RefUpper="75.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0574712643678161", RefUpper="0.344827586206897" WHERE PatientObjType=0 AND AssayName="TG" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;

UPDATE DiffRef SET RefLower="0.0", RefUpper="340.0" WHERE PatientObjType=0 AND AssayName="ALP" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="19.0" WHERE PatientObjType=0 AND AssayName="ALT" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="65.0" WHERE PatientObjType=0 AND AssayName="AST" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="3.20284697508897", RefUpper="8.18505338078292" WHERE PatientObjType=0 AND AssayName="BUN" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.2", RefUpper="2.8" WHERE PatientObjType=0 AND AssayName="Ca" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.0", RefUpper="3.37662337662338" WHERE PatientObjType=0 AND AssayName="TC" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="65.0" WHERE PatientObjType=0 AND AssayName="CK" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="44.1696113074205", RefUpper="106.007067137809" WHERE PatientObjType=0 AND AssayName="Crea" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="23.0" WHERE PatientObjType=0 AND AssayName="GGT" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="2.21975582685905", RefUpper="3.05216426193119" WHERE PatientObjType=0 AND AssayName="GLU" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.03305785123967", RefUpper="1.2396694214876" WHERE PatientObjType=0 AND AssayName="Mg" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="1.45161290322581", RefUpper="2.25806451612903" WHERE PatientObjType=0 AND AssayName="PHOS" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="6.80040802448147" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="65.0", RefUpper="75.0" WHERE PatientObjType=0 AND AssayName="TP" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;


Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("GLOB","1","0","0","GLOB","球蛋白","GLOB","1","g/dL","g/L","g/dL","0","0.1","0.1","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("ALB","0","0","3","ALB","白蛋白","ALB","1","g/dL","g/L","g/dL","0","0.1","0.1","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("GLU","0","0","5","GLU","葡萄糖","GLU","2","mg/dL","mmol/L","mg/dL","0","18.02","18.02","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Mg","0","0","11","Mg","镁","Mg","2","mg/dL","mmol/L","mg/dL","0","2.42","2.42","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Na","0","0","18","Na⁺","钠离子","Na","1","mmol/L","mmol/L","mmol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LDH","0","0","20","LDH","乳酸脱氢酶","LDH","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("tCO2","0","0","21","tCO2","总二氧化碳","tCO2","1","mmol/L","mmol/L","mmol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CK","0","0","24","CK","肌酸激酶","CK","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("ABS_unlimited","0","1","99","ABS_unlimited","ABS_unlimited","ABS","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TP","0","0","15","TP","总蛋白","TP","1","g/dL","g/L","g/dL","0","0.1","0.1","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Cl","0","0","22","Cl⁻","氯离子","Cl","1","mmol/L","mmol/L","mmol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TBA","0","0","26","TBA","总胆汁酸","TBA","2","umol/L","umol/L","umol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("K","0","0","10","K⁺","钾离子","K","2","mmol/L","mmol/L","mmol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TC","0","0","9","TC","总胆固醇","TC","2","mg/dL","mmol/L","mg/dL","0","38.5","38.5","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("UA","0","0","25","UA","尿酸","UA","0","mg/dL","umol/L","mg/dL","0","0.0168","0.0168","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TB","0","0","8","TB","总胆红素","TB","1","mg/dL","umol/L","mg/dL","0","0.05882","0.05882","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("GGT","0","0","16","GGT","谷氨酰基转移酶","GGT","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("AST","0","0","13","AST","天门冬氨酸氨基转移酶","AST","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TG","0","0","7","TG","甘油三酯","TG","2","mg/dL","mmol/L","mg/dL","0","87.0","87.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("ALT","0","0","17","ALT","丙氨酸氨基转移酶","ALT","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("AMY","0","0","12","AMY","淀粉酶","AMY","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("ALP","0","0","23","ALP","碱性磷酸酶","ALP","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CHE","0","0","14","CHE","胆碱酯酶","CHE","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("UREA","0","0","19","UREA","尿素","UREA","2","mg/dL","mmol/L","mg/dL","0","6.02","6.02","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("BUN","1","0","19","BUN","尿素氮","BUN","2","mg/dL","mmol/L","mg/dL","0","2.81","2.81","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("PHOS","0","0","27","PHOS","无机磷","PHOS","2","mg/dL","mmol/L","mg/dL","0","3.1","3.1","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Ca","0","0","6","Ca","钙","Ca","2","mg/dL","mmol/L","mg/dL","0","4.0","4.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Crea","0","0","4","Crea","肌酐","Crea","1","mg/dL","umol/L","mg/dL","0","0.01132","0.01132","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CK-MB","0","0","46","CK-MB","肌酸激酶MB同工酶","CK-MB","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HBDH","0","0","47","HBDH","α-羟丁酸脱氢酶","HBDH","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LPS","0","0","48","LPS","脂肪酶","LPS","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("P-AMY","0","0","49","P-AMY","胰腺淀粉酶","P-AMY","0","U/L","U/L","U/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HDL","0","0","50","HDL","高密度脂蛋白胆固醇","HDL","2","mg/dL","mmol/L","mg/dL","0","38.5","38.5","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LDL","1","0","51","LDL","低密度脂蛋白胆固醇","LDL","2","mg/dL","mmol/L","mg/dL","0","38.5","38.5","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("DB","0","0","49","DB","直接胆红素","DB","1","mg/dL","umol/L","mg/dL","0","0.05882","0.05882","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("c-CRP","0","0","52","c-CRP","犬C反应蛋白","c-CRP","1","mg/L","mg/L","mg/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("f-SAA","0","0","62","f-SAA","猫血清淀粉样蛋白A","f-SAA","1","mg/L","mg/L","mg/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("APTT","0","0","53","APTT","活化部分凝血酶时间","APTT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("APTT-0","0","1","53","APTT","活化部分凝血酶时间","APTT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("PT","0","0","54","PT","凝血酶原时间","PT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("PT-0","0","1","54","PT","凝血酶原时间","PT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TT","0","0","55","TT","凝血酶时间","TT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("TT-0","0","1","55","TT","凝血酶时间","TT","1","s","s","s","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Fib-0","0","1","56","Fib","纤维蛋白原","Fib","0","mg/dL","mg/dL","mg/dL","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("Fib","0","0","56","Fib","纤维蛋白原","Fib","2","g/L","g/L","g/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HbA1c","0","0","57","HbA1c","糖化血红蛋白","HbA1c","1","%","%","%","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LAC","0","0","58","LAC","乳酸","LAC","2","mmol/L","mmol/L","mmol/L","0","9.0","9.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("NH3","0","0","60","NH3","血氨","NH3","1","umol/L","umol/L","umol/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CRP","0","0","63","CRP","C反应蛋白","CRP","1","mg/L","mg/L","mg/L","0","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("FRUC","0","0","69","FRUC","果糖胺","FRUC","1","umol/L","umol/L","umol/L","0","0.1","0.1","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("HCY","0","0","70","HCY","同型半胱氨酸","HCY","1","umol/L","umol/L","umol/L","0","0.1","0.1","1.0","0.0","0");

UPDATE AssayParam SET SIUnit="g/L", NSIunit="g/dL" WHERE AssayName ="ALB";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="ALP";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="ALT";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="AMY";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="AST";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="BUN";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="CA";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="CK";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mmol/L" WHERE AssayName ="Cl";
UPDATE AssayParam SET SIUnit="umol/L", NSIunit="mg/dL" WHERE AssayName ="CREA";
UPDATE AssayParam SET SIUnit="U/L", NSIunit="U/L" WHERE AssayName ="GGT";
UPDATE AssayParam SET SIUnit="g/L", NSIunit="g/dL" WHERE AssayName ="GLOB";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="GLU";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mmol/L" WHERE AssayName ="K";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="Mg";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mmol/L" WHERE AssayName ="NA";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="PHOS";
UPDATE AssayParam SET SIUnit="umol/L", NSIunit="mg/dL" WHERE AssayName ="TB";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mmol/L" WHERE AssayName ="tCO2";
UPDATE AssayParam SET SIUnit="g/L", NSIunit="g/dL" WHERE AssayName ="TP";
UPDATE AssayParam SET SIUnit="mmol/L", NSIunit="mg/dL" WHERE AssayName ="TG";

UPDATE AssayParam SET IsSIUnit = "0";


Pragma foreign_keys=true;
