Pragma foreign_keys=false;

CREATE TABLE SampleResultRelation ([SampleResultID] integer, [Checker] nvarchar(20), [Reviewer] nvarchar(20), [ReviewerDate] double, PRIMARY KEY(SampleResultID));


ALTER TABLE QCSetting RENAME TO tmp;
CREATE TABLE QCSetting ( BatchNo nvarchar(100), Level int, ExpiryDate nvarchar(8), AssayConc nvarchar(2000), Primary key (BatchNo,Level) );
INSERT INTO QCSetting (BatchNo, Level, ExpiryDate, AssayConc) SELECT BatchNo, Level, '', AssayConc FROM tmp;
Drop Table If Exists tmp;

ALTER TABLE SampleResult ADD COLUMN [QCExpiryDate] nvarchar(8);

Delete from DiffRef where PatientObjType = '1' and AssayName = 'DB';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'CK';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'HDL';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'K';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'Mg';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'LDH';
Delete from DiffRef where PatientObjType = '1' and AssayName = 'LPS';

INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1", "DB", NULL, NULL,NULL, "0.0", "6.8");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","CK","Male",NULL,NULL,"24.0","194.0");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","CK","Female",NULL,NULL,"24.0","170.0");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","HDL","Male",NULL,NULL,"1.16","1.42");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","HDL","Female",NULL,NULL,"1.29","1.55");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","K",NULL,NULL,NULL,"3.4","5.3");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","Mg",NULL,NULL,NULL,"0.65","1.25");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","LDH",NULL,NULL,NULL,"109.0","245.0");
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","LPS",NULL,NULL,NULL,"1.0","60.0");



Pragma foreign_keys=true;

