Pragma foreign_keys=false;

ALTER TABLE SampleResult ADD TestDate2 double;
update SampleResult set TestDate2 = "";

REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("APTT-0","APTT-0","0","7","21","30","600","800","-1","-100.0","0.300000","0","0","0","0.0","100.0","580.0","30.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("PT-0","PT-0","0","7","20","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","280.0","4.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TT-0","TT-0","0","7","20","0","300","400","-1","-100.0","0.0","0","0","0","0.0","40.0","280.0","4.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Fib-0","Fib-0","0","7","22","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","2000","50","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");

Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("INR","1","0","0","INR","国际标准化比值","INR","1",NULL,NULL,NULL,"1","1.0","1.0","1.0","0.0","0");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","INR","INR");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","INR","国际标准化比值");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","INR","INR");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","INR","INR");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","INR","INR");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","INR","INR");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","INR","INR");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("INR","INR","-2","-2","-2","0","0","0","-1","12.3","0.0","0","0","0","0.0","1.0","10.0","0.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","APTT",NULL,NULL,NULL,"25.2","38.4");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","PT",NULL,NULL,NULL,"9.4","14.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","TT",NULL,NULL,NULL,"13.3","21.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","Fib",NULL,NULL,NULL,"1.80","3.70");


REPLACE  Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("20","20","610","610","1","1","3","7","30");
REPLACE  Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("21","21","610","610","1","11","3","7","30");

REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","PlateDescr","20","4 Coagulation Parameters");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","PlateDescr","20","凝血4项");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","PlateDescr","20","4 Parámetros de coagulación");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","PlateDescr","20","4 Paramètres de Coagulation");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","PlateDescr","20","4 Coagulation Parameters");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","PlateDescr","20","4 koagulationsparametrar");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","PlateDescr","20","4 Parametri Coagulazione");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","PlateDescr","20","4 Параметры коагуляции");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","PlateDescr","21","4 Coagulation Parameters");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","PlateDescr","21","浅孔凝血盘");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","PlateDescr","21","4 Parámetros de coagulación");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","PlateDescr","21","4 Paramètres de Coagulation");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","PlateDescr","21","4 Coagulation Parameters");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","PlateDescr","21","4 koagulationsparametrar");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","PlateDescr","21","4 Parametri Coagulazione");
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","PlateDescr","21","4 Параметры коагуляции");

Delete from PlateParam where PlateTypeCode = '20';
Delete from PlateParam where PlateTypeCode = '21';

REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','22','Fib-1','5','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','23','TT-1','3','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','24','PT-1','4','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','25','APTT-1','4','30','600','800');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','22','Fib-1','5','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','23','TT-1','3','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','24','PT-1','4','0','200','400');
REPLACE  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','25','APTT-1','4','30','600','800');

Pragma foreign_keys=true;

