Pragma foreign_keys=false;

update DiffRef set RefLower= '30.0',RefUpper='40.0' where PatientObjType='0' and AssayName='ALB' and Category='Mouse';
update DiffRef set RefLower= '66.0',RefUpper='262.0' where PatientObjType='0' and AssayName='ALP' and Category='Mouse';
update DiffRef set RefLower= '40.0',RefUpper='189.0' where PatientObjType='0' and AssayName='ALT' and Category='Mouse';
update DiffRef set RefLower= '77.0',RefUpper='383.0' where PatientObjType='0' and AssayName='AST' and Category='Mouse';
update DiffRef set RefLower= '7.47330961',RefUpper='9.25266' where PatientObjType='0' and AssayName='BUN' and Category='Mouse';
update DiffRef set RefLower= '1.975',RefUpper='2.625' where PatientObjType='0' and AssayName='Ca' and Category='Mouse';
update DiffRef set RefLower= '99.0',RefUpper='108.0' where PatientObjType='0' and AssayName='Cl' and Category='Mouse';
update DiffRef set RefLower= '0.0',RefUpper='44.1696113' where PatientObjType='0' and AssayName='Crea' and Category='Mouse';
update DiffRef set RefLower= '10.8768036',RefUpper='15.427303' where PatientObjType='0' and AssayName='GLU' and Category='Mouse';
update DiffRef set RefLower= '5.3',RefUpper='6.3' where PatientObjType='0' and AssayName='K' and Category='Mouse';
update DiffRef set RefLower= '138.0',RefUpper='186.0' where PatientObjType='0' and AssayName='Na' and Category='Mouse';
update DiffRef set RefLower= '1.80645161',RefUpper='2.967741' where PatientObjType='0' and AssayName='PHOS' and Category='Mouse';
update DiffRef set RefLower= '50.0',RefUpper='70.0' where PatientObjType='0' and AssayName='TP' and Category='Mouse';
Delete from Language where StrID = 'FHV';
Delete from Language where StrID = 'FCV';
Delete from Language where StrID = 'CHL';
Delete from Language where StrID = 'MYC';
Delete from Language where StrID = 'FCov';
Delete from Language where StrID = 'FIP';
Delete from Language where StrID = 'CDV';
Delete from Language where StrID = 'CPV';
Delete from Language where StrID = 'Ccv';
Delete from Language where StrID = 'FPV';
Delete from Language where StrID = '100';
Delete from AssayParam where AssayName = 'FHV';
Delete from AssayParam where AssayName = 'FCV';
Delete from AssayParam where AssayName = 'CHL';
Delete from AssayParam where AssayName = 'MYC';
Delete from AssayParam where AssayName = 'FCov';
Delete from AssayParam where AssayName = 'FIP';
Delete from AssayParam where AssayName = 'CDV';
Delete from AssayParam where AssayName = 'CPV';
Delete from AssayParam where AssayName = 'Ccv';
Delete from AssayParam where AssayName = 'FPV';
Delete from ReactionParam where ReactionID = 'FHV';
Delete from ReactionParam where ReactionID = 'FCV';
Delete from ReactionParam where ReactionID = 'CHL';
Delete from ReactionParam where ReactionID = 'MYC';
Delete from ReactionParam where ReactionID = 'FCov';
Delete from ReactionParam where ReactionID = 'FIP';
Delete from ReactionParam where ReactionID = 'CDV';
Delete from ReactionParam where ReactionID = 'CPV';
Delete from ReactionParam where ReactionID = 'Ccv';
Delete from ReactionParam where ReactionID = 'FPV';


Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("IBIL","1","0","0","IBIL","间接胆红素","IBIL","1","umol/L","umol/L","mg/dL","1","1.0","0.05882","1.0","0.0","0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","IBIL",NULL,NULL,NULL,"1.7","10.2");

Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","IBIL","间接胆红素");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","RelatedOrgans","IBIL","肝");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","RelatedOrgans","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","IBIL","肝脏疾病、溶血性贫血、血型不合输血、肝细胞黄疸以及严重烫伤、败血症、疟疾、脾功能亢进、恶性贫血、珠蛋白生成障碍性贫血、铅中毒、新生儿生理性黄疸、药物性黄疸、体制性黄疸、哺乳性黄疸等都可能引起升高。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanHigh","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","IBIL","一般无意义。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanLow","IBIL","IBIL");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","ClinicalMeanLow","IBIL","IBIL");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("IBIL","IBIL","-2","-2","-2","0","0","0","-1","12.3","0.0","0","0","0","0.0","1.0","250.0","1.0",NULL,NULL,"0.0","0.0","0.0","0.0","0.0","0.0","1.0");


UPDATE DiffRef SET RefLower="20.0", RefUpper="60.0", AgeType = NULL WHERE PatientObjType=0 AND AssayName="LPS" AND Category="Feline" AND  AgeType = "Adult" AND SmplType IS NULL;

UPDATE DiffRef SET RefLower="0.0", RefUpper="1355.0", AgeType = NULL WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Canine" AND  AgeType = "Adult" AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="1600.0", AgeType = NULL WHERE PatientObjType=0 AND AssayName="AMY" AND Category="Feline" AND  AgeType = "Adult" AND SmplType IS NULL;


Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("CHE","CHE-1","1","3","2","40","160","0","-1","21200.0","-0.033","0","0","2","0.7","0.0","16000.0","180.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("CHE","CHE","1","3","2","0","80","0","-1","21200.0","-0.033","0","0","2","0.7","0.0","16000.0","180.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("GLU","GLU-1","0","-1","0","220","0","0","-1","3.6","0.19","1","0","0","0.0","0.0","30.0","0.8","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("GGT","GGT-1","1","3","2","120","220","0","-1","2400.0","-0.001","0","0","1","7.0","0.0","1200.0","2.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("UREA","UREA-1","0","1","2","0","220","0","-1","1.0","0.0","0","0","2","1.0","0.0","45.0","0.4","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("ALT","ALT-1","0","1","2","0","220","0","-1","5000.0","-0.00109","0","0","2","0.95","0.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TC","TC-1","0","1","0","220","0","0","-1","4.6","0.81","0","0","0","0.0","0.0","12.0","0.3","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("K","K-1","0","2","2","100","220", "0","-1","-40.0","-0.089","0","0","2","0.5","-0.57","8.0","1.5","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Na","Na-1","1","6","2","80","180","0","-1","455.0","0.0","0","0","1","3.0","25.5","220.0","80.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("HBDH","HBDH-1","0","-1","2","100","220","0","-1","1.0","0.0","0","0","2","0.5","0.0","1000.0","10.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Crea","Crea-1","4","-1","0","220","0","0","-1","3100.0","0.0","0","0","0","0.0","0.0","1800.0","10.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("LPS","LPS-1","4","-1","2","60","180","0","-1","1.0","0.0","0","0","1","3.5","0.0","250.0","7.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("UA","UA-1","3","-1","0","220","0","0","-1","2100.0","0.04","1","0","0","0.0","0.0","1300.0","10.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("AMY","AMY","1","3","2","20","140","0","-1","2100.0","0.001","0","0","1","8.5","0.0","4000.0","5.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");

Delete from Language where LanguageID = '37' and StrType = 'AssayName' and StrID = 'Crea';
Delete from Language where LanguageID = '37' and StrType = 'AssayName' and StrID = 'Fib';
Delete from Language where LanguageID = '37' and StrType = 'AssayName' and StrID = 'UREA';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","Crea","Crea");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","Fib","Fib");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","UREA","UREA");

Delete from Language where LanguageID = '129' and StrType = 'AssayName' and StrID = 'tCO2';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","AssayName","tCO2","tCO2");
Delete from Language where LanguageID = '129' and StrType = 'AssayName' and StrID = 'pH';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","AssayName","pH","pH");

Delete from Language where LanguageID = '42' and StrType = 'AssayName' and StrID = 'Crea';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","Crea","Crea");

DELETE FROM Language WHERE LanguageID ='42' AND StrType='Gender' AND StrID='Rabbit';
REPLACE  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","Rabbit","Kaninchen");

REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("AST","AST","0","1","2","100","220","0","-1","3200.0","0.0","0","0","2","0.8","-36.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("AST","AST-0","0","-1","2","0","220","0","-1","1.0","0.0","0","0","2","0.3","0.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");

DELETE FROM DiffRef where PatientObjType="0" AND AssayName="ALB" AND Category="Pig";

ALTER TABLE Language RENAME TO tmp;
CREATE TABLE [Language]([LanguageID] smallint, [StrType] nvarchar(100), [StrID] nvarchar(300), [StrValue] nvarchar(3000));
INSERT INTO Language (LanguageID, StrType, StrID, StrValue) SELECT LanguageID, StrType, StrID, StrValue from tmp GROUP BY LanguageID,StrType,StrID;
Drop Table If Exists tmp;

Pragma foreign_keys=true;

