Pragma foreign_keys=false;

DELETE FROM PlateParam where PlateTypeCode="18" AND HoleIdx="30";
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("18","30","HbA1c","0","260","0",'0');

DELETE FROM PlateList where PlateTypeCode="18";
Insert  Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("18","18","722","334","0","1","3","6","30");

update Language set StrValue = '20' where StrType="PlateDescr" AND StrID="20";
update Language set StrValue = '凝血15孔盘' where StrType="PlateDescr" AND StrID="20" AND LanguageID="25";
DELETE FROM PlateParam where PlateTypeCode="20";
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','10','Fib-2','5','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','12','TT-2','3','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','14','PT-2','4','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('20','24','APTT-2','4','30','600','800');
DELETE FROM PlateParam where PlateTypeCode="21";
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','22','Fib-1','5','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','23','TT-1','3','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','24','PT-1','4','0','200','400');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('21','25','APTT-1','4','30','600','800');

REPLACE Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("20","20","610","610","1","12","3","7","30");

ALTER TABLE PlateList RENAME TO PlateListtmp;
CREATE TABLE PlateList ( PlateTypeCode nvarchar(10), PlateDescr nvarchar(100), FullBloodTime smallint, SerumTime smallint, IsInner smallint, PlateSetFileID smallint, FlowSetFileID smallint, ResultSetFileID smallint, [HoleCount] smallint, Primary key (PlateTypeCode) );
Insert Into PlateList Select * From PlateListtmp;
Drop Table If Exists PlateListtmp;


ALTER TABLE PlateParam RENAME TO PlateParamtmp;
CREATE TABLE PlateParam ( PlateTypeCode nvarchar(10), HoleIdx smallint, Assay nvarchar(20), AnalysisMethod smallint, CalcStart integer, CalcEnd integer, CalcExtend integer, Primary key (PlateTypeCode, HoleIdx) );
Insert Into PlateParam Select * From PlateParamtmp;
Drop Table If Exists PlateParamtmp;

REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("APTT","APTT-2","0","7","21","15","300","800","-1","-100.0","0.0","0","0","0","0.0","100.0","150.0","7.5","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("PT","PT-2","0","7","20","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","100.0","0.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TT","TT-2","0","7","20","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","100.0","0.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0","1.0");
REPLACE  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("Fib","Fib-2","0","7","22","0","100","400","-1","-100.0","0.0","0","0","0","0.0","40.0","20.0","0","0","3","0.04000","9.00000","0.0907","2.7084","0.0","0.0","6.6");


Delete from DiffRef where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Cattle';
Delete from DiffRef where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Beef Cattle';
Delete from DiffRef where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Dairy Cow';
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","BUN","Cattle",NULL,NULL,"2.50","6.10");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","BUN","Beef Cattle",NULL,NULL,"2.14","6.10");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","BUN","Dairy Cow",NULL,NULL,"2.14","6.10");


DELETE FROM Language where StrType="PlateDescr" AND StrID="18";
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","PlateDescr","18","糖化血红蛋白");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("95","PlateDescr","18","Glycated Hemoglobin A1c");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("120","PlateDescr","18","Glycated Hemoglobin A1c");



REPLACE Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("HbA1c","HbA1c","6","-1","0","260","0","0","-1","1.0","0.0","0","0","0","0.0","0.0","15.0","3.0","0","2","0.0","0.0","0.0","0.0","0.0","0.0","1.0");

DELETE FROM Language WHERE StrType='Gender' AND StrID='Guinea pig';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Gender","Guinea pig","Guinea pig");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Gender","Guinea pig","豚鼠");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Gender","Guinea pig","conejillo de indias");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Gender","Guinea pig","Cochon d'Inde");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","Guinea pig","Meerschweinchen");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","Guinea pig","porcellino d'India");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Gender","Guinea pig","porquinho da índia");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Gender","Guinea pig","Guinea pig");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Gender","Guinea pig","marsvin");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("120","Gender","Guinea pig","หนูตะเภา");


update DiffRef set RefLower = '18.0', RefUpper = '80.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Ferret' and AgeType is NULL;
update DiffRef set RefLower = '36.0', RefUpper = '124.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Goat' and AgeType is NULL;
update DiffRef set RefLower = '12.0', RefUpper = '71.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Mouse' and AgeType is NULL;
update DiffRef set RefLower = '35.0', RefUpper = '133.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Sheep' and AgeType is NULL;
update DiffRef set RefLower = '44.0', RefUpper = '212.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '25.0', RefUpper = '141.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '45.0', RefUpper = '278.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Feline' and AgeType = 'The elderly';
update DiffRef set RefLower = '28.0', RefUpper = '159.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '13.0', RefUpper = '106.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '30.0', RefUpper = '159.0' where PatientObjType = '0' and AssayName = 'Crea' and Category = 'Canine' and AgeType = 'The elderly';
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Crea","Bird",NULL,NULL,"11.0","370.0");
update DiffRef set RefLower = '20.0', RefUpper = '43.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Cattle' and AgeType is NULL;
update DiffRef set RefLower = '19.0', RefUpper = '36.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Equine' and AgeType is NULL;
update DiffRef set RefLower = '20.0', RefUpper = '38.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Ferret' and AgeType is NULL;
update DiffRef set RefLower = '20.0', RefUpper = '48.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Mouse' and AgeType is NULL;
update DiffRef set RefLower = '18.0', RefUpper = '42.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Pig' and AgeType is NULL;
update DiffRef set RefLower = '22.0', RefUpper = '48.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Rat' and AgeType is NULL;
update DiffRef set RefLower = '7.0', RefUpper = '30.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Tortoise' and AgeType is NULL;
update DiffRef set RefLower = '20.0', RefUpper = '38.0' where PatientObjType = '0' and AssayName = 'ALB' and Category = 'Goat' and AgeType is NULL;
INSERT Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALB","Bird",NULL,NULL,"10.0","31.0");
update DiffRef set RefLower = '30.0', RefUpper = '57.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Cattle' and AgeType is NULL;
update DiffRef set RefLower = '30.0', RefUpper = '61.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Dairy Cow' and AgeType is NULL;
update DiffRef set RefLower = '18.0', RefUpper = '45.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Ferret' and AgeType is NULL;
update DiffRef set RefLower = '27.0', RefUpper = '58.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Goat' and AgeType is NULL;
update DiffRef set RefLower = '20.0', RefUpper = '60.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Pig' and AgeType is NULL;
update DiffRef set RefLower = '15.0', RefUpper = '42.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Rat' and AgeType is NULL;
update DiffRef set RefLower = '16.0', RefUpper = '50.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Sheep' and AgeType is NULL;
update DiffRef set RefLower = '19.0', RefUpper = '45.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '15.0', RefUpper = '38.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '21.0', RefUpper = '45.0' where PatientObjType = '0' and AssayName = 'GLOB' and Category = 'Canine' and AgeType = 'The elderly';
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GLOB","Bird",NULL,NULL,"11.0","53.0");
update DiffRef set RefLower = '49.0', RefUpper = '82.0' where PatientObjType = '0' and AssayName = 'TP' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '36.0', RefUpper = '72.0' where PatientObjType = '0' and AssayName = 'TP' and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '50.0', RefUpper = '82.0' where PatientObjType = '0' and AssayName = 'TP' and Category = 'Canine' and AgeType = 'The elderly';
update DiffRef set RefLower = '0.0', RefUpper = '60.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Cattle' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '289.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Ferret' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '44.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Goat' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '80.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Rat' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '80.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Pig' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '120.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Monkey' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '42.0' where PatientObjType = '0' and AssayName = 'ALT' and Category = 'Sheep' and AgeType is NULL;
INSERT  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALT","Bird",NULL,NULL,"5.0","134.0");
update DiffRef set RefLower = '500.0', RefUpper = '1800.0' where PatientObjType = '0' and AssayName = 'AMY' and Category = 'Feline' and AgeType = 'The elderly';
update DiffRef set RefLower = '1350.0', RefUpper = '5240.0' where PatientObjType = '0' and AssayName = 'CHE' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '3.6', RefUpper = '10.0' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Rabbit' and AgeType is NULL;
update DiffRef set RefLower = '2.5', RefUpper = '13.2' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Cattle' and AgeType is NULL;
update DiffRef set RefLower = '4.0', RefUpper = '11.8' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Mouse' and AgeType is NULL;
update DiffRef set RefLower = '3.6', RefUpper = '13.3' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Goat' and AgeType is NULL;
update DiffRef set RefLower = '3.2', RefUpper = '8.9' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Rat' and AgeType is NULL;
update DiffRef set RefLower = '2.5', RefUpper = '10.4' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Sheep' and AgeType is NULL;
update DiffRef set RefLower = '1.8', RefUpper = '20.2' where PatientObjType = '0' and AssayName = 'UREA' and Category = 'Tortoise' and AgeType is NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","UREA","Bird",NULL,NULL,"0.8","18.55");
update DiffRef set RefLower = '3.6', RefUpper = '10.0' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Rabbit' and AgeType is NULL;
update DiffRef set RefLower = '2.5', RefUpper = '13.2' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Cattle' and AgeType is NULL;
update DiffRef set RefLower = '4.0', RefUpper = '11.8' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Mouse' and AgeType is NULL;
update DiffRef set RefLower = '3.6', RefUpper = '13.3' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Goat' and AgeType is NULL;
update DiffRef set RefLower = '3.2', RefUpper = '8.9' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Rat' and AgeType is NULL;
update DiffRef set RefLower = '2.5', RefUpper = '10.4' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Sheep' and AgeType is NULL;
update DiffRef set RefLower = '1.8', RefUpper = '20.2' where PatientObjType = '0' and AssayName = 'BUN' and Category = 'Tortoise' and AgeType is NULL;
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","BUN","Bird",NULL,NULL,"0.8","18.55");
update DiffRef set RefLower = '13.0', RefUpper = '27.0' where PatientObjType = '0' and AssayName = 'tCO2' and Category = 'Rabbit' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '40.0' where PatientObjType = '0' and AssayName = 'LPS' and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '37.0' where PatientObjType = '0' and AssayName = 'LPS' and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '0.0', RefUpper = '43.0' where PatientObjType = '0' and AssayName = 'LPS' and Category = 'Feline' and AgeType = 'The elderly';
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALT","Guinea pig",NULL,NULL,"0","61");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALP","Guinea pig",NULL,NULL,"0","418");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AST","Guinea pig",NULL,NULL,"0","90");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GGT","Guinea pig",NULL,NULL,"0","13");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LDH","Guinea pig",NULL,NULL,"0","515");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","CK","Guinea pig",NULL,NULL,"0","2143");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AMY","Guinea pig",NULL,NULL,"0","3159");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LPS","Guinea pig",NULL,NULL,"0","152");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","CHE","Guinea pig",NULL,NULL,"0","8052");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GLU","Guinea pig",NULL,NULL,"4.95","15.95");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","FRUC","Guinea pig",NULL,NULL,"134","271");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TC","Guinea pig",NULL,NULL,"0.31","1.67");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TG","Guinea pig",NULL,NULL,"0.33","2.35");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TBA","Guinea pig",NULL,NULL,"0","84.5");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TB","Guinea pig",NULL,NULL,"0","1.59");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","UREA","Guinea pig",NULL,NULL,"3.34","10.33");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","BUN","Guinea pig",NULL,NULL,"3.34","10.33");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Crea","Guinea pig",NULL,NULL,"0","77");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TP","Guinea pig",NULL,NULL,"44.4","65.8");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALB","Guinea pig",NULL,NULL,"25.5","41.1");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GLOB","Guinea pig",NULL,NULL,"18.9","24.7");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Ca","Guinea pig",NULL,NULL,"2.4","3.1");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PHOS","Guinea pig",NULL,NULL,"1.03","6.98");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Mg","Guinea pig",NULL,NULL,"0.99","2.56");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Na","Guinea pig",NULL,NULL,"130","150");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","K","Guinea pig",NULL,NULL,"4.5","8.8");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Cl","Guinea pig",NULL,NULL,"94","111");


DELETE FROM Language where StrType="Race" AND StrID="White";
DELETE FROM Language where StrType="Race" AND StrID="Black";
DELETE FROM Language where StrType="Race" AND StrID="Yellow";
DELETE FROM Language where StrType="Race" AND StrID="Brown";
DELETE FROM Language where StrType="Race" AND StrID="Other";
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Race","White","Caucasians");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Race","White","白人");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Race","White","Caucásico");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Race","White","Caucasien");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Race","White","Kaukasisch");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Race","White","caucasico");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Race","White","Европейский");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Race","White","Vit");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Race","White","Caucasian");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Race","Black","African");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Race","Black","黑人");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Race","Black","Africano");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Race","Black","Africain");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Race","Black","Afrikanisch");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Race","Black","africano");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Race","Black","Африканский");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Race","Black","Svart");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Race","Black","Africano");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Race","Yellow","Asian");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Race","Yellow","黄种人");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Race","Yellow","Asiático");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Race","Yellow","Asiatique");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Race","Yellow","Asiatisch");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Race","Yellow","asiatico");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Race","Yellow","Азиатский");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Race","Yellow","Gul");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Race","Yellow","Asian");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Race","Other","others");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Race","Other","其他");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Race","Other","Otro");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Race","Other","Autres");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Race","Other","Andere");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Race","Other","altro");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Race","Other","Другой");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Race","Other","Annat");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Race","Other","outros");


Insert  Into [SettingFile] ([FileID],[FileType],[FileName],[FileTitle],[Descr]) Values("12","0","TestPlate_15Hole.ini","30孔常规测试盘","适用于人用凝血15孔盘");

ALTER TABLE SampleResult ADD COLUMN [Revise] nvarchar(100);


DELETE FROM Language where StrType="Gender" and StrID="PeripheralBlood";
DELETE FROM Language where StrType="Gender" and StrID="WholeBlood";
DELETE FROM Language where StrType="Gender" and StrID="BloodSerum";
DELETE FROM Language where StrType="Gender" and StrID="BloodPlasma";
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Gender","PeripheralBlood","Capillary blood");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Gender","PeripheralBlood","末梢血");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Gender","PeripheralBlood","Sangre capilar");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Gender","PeripheralBlood","Sang périphérique");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","PeripheralBlood","Peripheres Blut");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","PeripheralBlood","Sangue capillare");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Gender","PeripheralBlood","Периферическая кровь");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Gender","PeripheralBlood","Perifert blod");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Gender","PeripheralBlood","Sangue Periférico");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Gender","BloodSerum","Serum");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Gender","BloodSerum","血清");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Gender","BloodSerum","Suero");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Gender","BloodSerum","Sérum");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","BloodSerum","Serum");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","BloodSerum","Siero");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Gender","BloodSerum","сыворотка");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Gender","BloodSerum","Serum");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Gender","BloodSerum","Soro");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Gender","BloodPlasma","血浆");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Gender","BloodPlasma","плазма");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Gender","BloodPlasma","Plasma");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","Gender","WholeBlood","Venous blood");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","Gender","WholeBlood","全血");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","Gender","WholeBlood","Sangre venosa");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","Gender","WholeBlood","Sang total");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","Gender","WholeBlood","Vollblut");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","WholeBlood","Sangue venoso");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","Gender","WholeBlood","Цельная кровь");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","Gender","WholeBlood","Helblod");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","Gender","WholeBlood","Sangue Total");

REPLACE  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("UA","0","0","25","UA","尿酸","UA","2","umol/L","umol/L","mg/dL","1","1.0","0.0168","1.0","0.0","0");

update DiffRef set RefLower= '0.2',RefUpper='0.6' where PatientObjType='0' and AssayName='c-Cys C' and Category='Canine';

Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","PlateDescr","87","Canine Cystatin C");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","PlateDescr","87","犬胱抑素C");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","PlateDescr","87","Cistatina C canina");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","PlateDescr","87","Cystatine C canine");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","PlateDescr","87","Canine Cystatin C");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","PlateDescr","87","Cistatina C canina");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("129","PlateDescr","87","Собака цистатина C");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","PlateDescr","87","Hundcystatin C");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","PlateDescr","87","циститин собак");

Insert  Into [PlateList] ([PlateTypeCode],[PlateDescr],[FullBloodTime],[SerumTime],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[HoleCount]) Values("87","87","722","334","1","1","3","6","30");
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('87','15','c-Cys C','0','0','0','0');

replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("c-Cys C","c-Cys C","6","-1","0","260","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","6.0","0.2","0","2","0.0","0.0","0.0","0.0","0.0","0.0","1.0");


Pragma foreign_keys=true;

