Pragma foreign_keys=false;

ALTER TABLE SampleResult RENAME TO tmp;
CREATE TABLE SampleResult ( SampleResultID integer, PatientObjType smallint, SampleNo smallint, SampleObjType int, Patient_BatchNo nvarchar(20), Operator nvarchar(20), IsFullBlood smallint, RefHoleIdx smallint, Gender nvarchar(20), TestDate double, WAT int, EMP int, CHE int, Age nvarchar(20), BloodType nvarchar(20), InstruID nvarchar(50), Dept nvarchar(50), PlateTypeCode nvarchar(10), PlateDescr nvarchar(200), PlateBarCode nvarchar(500), HEM smallint, LIP smallint, ICT smallint, PlateFault smallint, DarkCurrent nvarchar(50), AnimalName nvarchar(50), Lis nvarchar(50), MedicalId integer, State integer, ErrorCode nvarchar(128), UploadStatus nvarchar(50), Comments nvarchar(200), TestVersion nvarchar(30), Race nvarchar(30), AgeNum nvarchar(30), Primary key (SampleResultID) );
INSERT INTO SampleResult SELECT * FROM tmp;
DROP TABLE tmp;

DELETE  FROM Language WHERE LanguageID="25" AND StrType="ClinicalMeanLow" AND StrID="ALB";

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","ALB","1.营养不良；2.急性降低见于大量出血；3.慢性降低见于肝功能受损、合成能力下降、腹水形成；4.消耗性疾病；5.肾病综合症；6.饥饿、寄生虫、心肌疾病、肠炎、肾小球肾炎。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","GLOB","代表慢性发炎疾病（如心丝虫、病毒、寄生虫或者细菌感染），常见于肝脏疾病（如慢性肝炎，肝硬化等），网状内皮系统疾病（如多发性骨髓瘤，单核细胞白血病），慢性感染（如化脓感染，结缔组织病）等");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","GLOB","慢性失血，蛋白丢失性肠道疾病，重度肝病及肾病有关");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","Gender","Reptile","Rettile");

update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Canine' and AgeType = 'The elderly';
update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '0.0',RefUpper = '1.13'  	 where AssayName = 'TG' 	and Category = 'Feline' and AgeType = 'The elderly';
update DiffRef set RefLower = '60.0',RefUpper = '94.0' 	 where AssayName = 'TP' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '55.0',RefUpper = '87.0' 	 where AssayName = 'TP' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '60.0',RefUpper = '94.0' 	 where AssayName = 'TP' 	and Category = 'Feline' and AgeType = 'The elderly';
update DiffRef set RefLower = '23.0',RefUpper = '45.0' 	 where AssayName = 'GLOB' 	and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '21.0',RefUpper = '38.0' 	 where AssayName = 'GLOB' 	and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '23.0',RefUpper = '45.0' 	 where AssayName = 'GLOB' 	and Category = 'Canine' and AgeType = 'The elderly';
update DiffRef set RefLower = '40.0',RefUpper = '62.0' 	 where AssayName = 'GLOB' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '40.0',RefUpper = '62.0' 	 where AssayName = 'GLOB' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '40.0',RefUpper = '62.0' 	 where AssayName = 'GLOB' 	and Category = 'Feline' and AgeType = 'The elderly';
update DiffRef set RefLower = '4.0',RefUpper = '12.9' 	 where AssayName = 'UREA' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '4.0',RefUpper = '11.8' 	 where AssayName = 'UREA' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '4.0',RefUpper = '12.9' 	 where AssayName = 'UREA' 	and Category = 'Feline' and AgeType = 'The elderly';

UPDATE DiffRef SET RefLower = '4.0', RefUpper = '12.9' WHERE PatientObjType = '0' and AssayName = 'BUN' and Category = 'Feline' and AgeType is null;
UPDATE DiffRef SET RefLower = '4.0', RefUpper = '11.8' WHERE PatientObjType = '0' and AssayName = 'BUN' and Category = 'Feline' and AgeType = 'Childhood';
UPDATE DiffRef SET RefLower = '4.0', RefUpper = '12.9' WHERE PatientObjType = '0' and AssayName = 'BUN' and Category = 'Feline' and AgeType = 'The elderly';

update DiffRef set RefLower = '136.0',RefUpper = '156.0' where AssayName = 'Na' 	and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '136.0',RefUpper = '156.0' where AssayName = 'Na' 	and Category = 'Canine' and AgeType = 'Childhood';
update DiffRef set RefLower = '136.0',RefUpper = '156.0' where AssayName = 'Na' 	and Category = 'Canine' and AgeType = 'The elderly';
update DiffRef set RefLower = '140.0',RefUpper = '160.0' where AssayName = 'Na' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '140.0',RefUpper = '160.0' where AssayName = 'Na' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '140.0',RefUpper = '160.0' where AssayName = 'Na' 	and Category = 'Feline' and AgeType = 'The elderly';

UPDATE DiffRef SET RefLower = '14.0',RefUpper = '27.0' WHERE PatientObjType = '0' and AssayName = 'tCO2' and Category = 'Canine' and AgeType is null;
update DiffRef set RefLower = '0.0',RefUpper = '10.0' 	 where AssayName = 'GGT' 	and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '0.0',RefUpper = '12.0'    where AssayName = 'GGT' 	and Category = 'Feline' and AgeType is NULL;


Pragma foreign_keys=true;
