﻿Pragma foreign_keys=false;

update Language set StrValue='酸碱度' where LanguageID=25 and StrType="AssayName" and StrID="pH";
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("pH","0","0","59","pH","酸碱度","pH","2",NULL,NULL,NULL,"1","1.0","1.0","1.0","0.0","0");
Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("NH3","0","0","60","NH3","血氨","NH3","1","umol/L","umol/L","umol/L","1","1.0","1.0","1.0","0.0","0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("pH","pH","4","6","0","220","0","0","-1","1.0","0.0","0","0","0","0.0","0.0","8.5","5.8","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("NH3","NH3","0","1","2","0","220","0","-1","1.0","0.0","0","0","0","0.0","0.0","230.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("APTT","APTT","0","7","21","30","600","800","-1","-100.0","0.300000","0","0","0","0.0","100.0","500.0","50.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("PT","PT","0","7","20","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","180.0","5.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("TT","TT","0","7","20","0","300","400","-1","-100.0","0.0","0","0","0","0.0","40.0","180.0","8.0","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("Fib","Fib","0","7","22","0","300","400","-1","-100.0","0.30000","0","0","0","0.0","40.0","800","50","0","3","0.04000","9.00000","1.0","0.0","0.0","0.0");

Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","pH",NULL,NULL,NULL,"7.45","7.55");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","pH","Canine",NULL,NULL,"7.25","7.55");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","pH","Feline",NULL,NULL,"7.25","7.55");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","NH3",NULL,NULL,NULL,"18.0","72.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","NH3","Canine",NULL,NULL,"0.0","88.2");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","NH3","Feline",NULL,NULL,"0.0","88.2");


update DiffRef set RefLower = '4.0',RefUpper = '12.9'  	 where AssayName = 'BUN' 	and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '4.0',RefUpper = '11.8'  	 where AssayName = 'BUN' 	and Category = 'Feline' and AgeType = 'Childhood';
update DiffRef set RefLower = '4.0',RefUpper = '12.9'  	 where AssayName = 'BUN' 	and Category = 'Feline' and AgeType = 'The elderly';


Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("CRP","0","0","63","CRP","C反应蛋白","CRP","1","mg/L","mg/L","mg/L","1","1.0","1.0","1.0","0.0","0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("CRP","CRP","6","-1","0","260","0","0","-1","5.735550","23.237500","0","0","0","0.0","-1.838010","200.0","1.0","1","2","1.395510","0.0","0.0","0.0","0.0","0.0");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","CRP",NULL,NULL,NULL,"0.0","10.0");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","AssayName","CRP","C反应蛋白");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("91","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","AssayName","CRP","CRP");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("96","AssayName","CRP","CRP");

DELETE FROM DiffRef WHERE AssayName="GLU" AND Category="Llama";
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GLU","Llama",NULL,NULL,"4.72","13.11");

DELETE FROM Language WHERE StrType='ClinicalMeanLow' AND StrID='ALB' and LanguageID = '25';
DELETE FROM Language WHERE StrType='ClinicalMeanHigh' AND StrID='TC' and LanguageID = '25';
DELETE FROM Language WHERE StrType='ClinicalMeanLow' AND StrID='TC' and LanguageID = '25';
DELETE FROM Language WHERE StrType='ClinicalMeanLow' AND StrID='TP' and LanguageID = '25';

Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","ALB","1.营养不良；2.急性降低见于大量出血；3.慢性降低见于肝功能受损、合成能力下降、腹水形成；4.消耗性疾病；5.肾病综合征；6.饥饿、寄生虫、心肌疾病、肠炎、肾小球肾炎。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","TC","1.甲状腺机能减退，可见高脂血症；2.糖尿病，可见轻度高脂血症；3.肾病综合征；4.犬急性胰腺炎；5.猫脂肪组织炎；6.犬肝病伴有胆汁阻塞疾病、犬肾病综合征；7.胆管阻塞、肾上腺皮质机能过剩、急性肾炎。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","TC","1.过量运动；2.进行性肝病；3.长期营养不良、吸收障碍；4.甲状腺机能亢进、肾上腺皮质功能降低、肾病综合征的蛋白血症，肝硬化腹水；5.肝细胞病变、糖尿病、厌食症。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","TP","1.慢性炎症以及严重烧伤；2.营养不良和消耗增加；3.肾病综合征；4.新生幼犬；5.蛋白丢失性肠道疾病；6.肝病疾病以及肾病综合征；7.肾小球病、肝病、饥饿。");


DELETE FROM Language WHERE StrType='ClinicalMeanHigh' AND StrID='tCO2' and LanguageID = '25';
DELETE FROM Language WHERE StrType='ClinicalMeanLow' AND StrID='tCO2' and LanguageID = '25';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","tCO2","1.代谢性碱中毒；2.呼吸性酸中毒（肾代偿影响）。");
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","tCO2","1.代谢性酸中毒；2.呼吸性碱中毒（肾代偿影响）。");

DELETE FROM Language WHERE StrType='ClinicalMeanHigh' AND StrID='CK' and LanguageID = '25';
Insert  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","CK","1.肌肉萎缩；2.心肌梗塞。注射抗生素可引起增高。");


update DiffRef set RefLower = '14.0', RefUpper = '27.0' where PatientObjType = '0' and AssayName = 'tCO2' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '7.45', RefUpper = '7.55' where PatientObjType = '1' and AssayName = 'pH' and Category is NULL and AgeType is NULL;
update DiffRef set RefLower = '7.25', RefUpper = '7.55' where PatientObjType = '0' and AssayName = 'pH' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '7.25', RefUpper = '7.55' where PatientObjType = '0' and AssayName = 'pH' and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '18.0', RefUpper = '72.0' where PatientObjType = '1' and AssayName = 'NH3' and Category is NULL and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '88.2' where PatientObjType = '0' and AssayName = 'NH3' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '0.0', RefUpper = '88.2' where PatientObjType = '0' and AssayName = 'NH3' and Category = 'Feline' and AgeType is NULL;

Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("GLOB","GLOB","-2","-2","-1","0","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","130.0","0.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("A/G","A/G","-2","-2","-2","0","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","26.7","0.0",NULL,NULL,"0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("U/C","U/C","-2","-2","-2","0","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","4100","0.0",NULL,NULL,"0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("BUN/CREA","BUN/CREA","-2","-2","-2","0","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","4100","0.0",NULL,NULL,"0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("ALT","ALT-0","0","1","2","20","220","0","-1","1.0","0.0","0","0","2","0.4","0.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("AST","AST-0","0","-1","2","0","220","0","-1","1.0","0.0","0","0","2","0.9","0.0","650.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");


Pragma foreign_keys=true;
