Pragma foreign_keys=false;

Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("1","LAC",NULL,NULL,NULL,"0.5","2.2");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LAC","Canine",NULL,NULL,"0.5","2.5");
Replace  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LAC","Feline",NULL,NULL,"0.5","2.6");

update DiffRef set RefLower = '135.0', RefUpper = '147.0' where PatientObjType = '1' and AssayName = 'Na'     and Category is NULL and AgeType is NULL;
update DiffRef set RefLower = '22.0',  RefUpper = '29.0'  where PatientObjType = '1' and AssayName = 'tCO2-1' and Category is NULL and AgeType is NULL;
update DiffRef set RefLower = '14.0',  RefUpper = '27.0'  where PatientObjType = '0' and AssayName = 'tCO2-1' and Category = 'Canine' and AgeType is NULL;
update DiffRef set RefLower = '13.0',  RefUpper = '25.0'  where PatientObjType = '0' and AssayName = 'tCO2-1' and Category = 'Feline' and AgeType is NULL;
update DiffRef set RefLower = '99.0',  RefUpper = '112.0' where PatientObjType = '1' and AssayName = 'Cl';
update DiffRef set RefLower = '105.0', RefUpper = '122.0' where PatientObjType = '0' and AssayName = 'Cl' and Category = 'Canine';
update DiffRef set RefLower = '112.0', RefUpper = '129.0' where PatientObjType = '0' and AssayName = 'Cl' and Category = 'Feline';


Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","pH","Alkalosis can be divided into respiratory alkalosis and metabolic alkalosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","pH","碱中毒；分呼吸性碱中毒和代谢性碱中毒。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","pH","La alcalosis se puede dividir en alcalosis respiratoria y alcalosis metabólica.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","pH","Alkalosis can be divided into respiratory alkalosis and metabolic alkalosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","pH","Die Alkalose kann in Atemalkalose und metabolische Alkalose unterteilt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","pH","L'alcalosi può essere suddivisa in alcalosi respiratoria e alcalosi metabolica.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanHigh","pH","Alkalos kan delas in i respiratorisk alkalos och metabolisk alkalos.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","pH","Acidosis can be divided into respiratory acidosis and metabolic acidosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","pH","酸中毒；分呼吸性酸中毒和代谢性酸中毒。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","pH","La acidosis se puede dividir en acidosis respiratoria y acidosis metabólica.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","pH","Acidosis can be divided into respiratory acidosis and metabolic acidosis.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","pH","Azidose kann in respiratorische Azidose und metabolische Azidose unterteilt werden.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","pH","L'acidosi può essere suddivisa in acidosi respiratoria e acidosi metabolica.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanLow","pH","Acidos kan delas in i respiratorisk acidos och metabolisk acidos");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","NH3","Poor liver function, high blood ammonia has neurotoxin, leading to hepatic encephalopathy (hepatic coma)");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","NH3","肝脏功能不良，高血氨有神经毒，引起肝性脑病（肝昏迷）");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","NH3","Mala función hepática, el amoníaco alto en sangre tiene neurotoxina, lo que conduce a encefalopatía hepática (coma hepático)");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","NH3","Poor liver function, high blood ammonia has neurotoxin, leading to hepatic encephalopathy (hepatic coma)");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","NH3","Schlechte Leberfunktion, hoher Ammoniakspiegel im Blut hat Neurotoxin, was zu einer hepatischen Enzephalopathie (Leberkoma) führt.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","NH3","Scarsa funzionalità epatica, l'ammoniaca ematica elevata ha neurotossina, che porta all'encefalopatia epatica (coma epatico)");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanHigh","NH3","Dålig leverfunktion, ammoniak med hög blod har neurotoxin, vilket leder till lever encefalopati (leverkoma)");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","NH3","There is no special clinical significance.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","NH3","无特殊临床意义。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","NH3","Índice de diagnostico de enfermedad hepática para perros y gatos, daño al hígado o enfermedad hepática.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","NH3","Indice de diagnostic de maladies hépatiques pour les chiens et les chats.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","NH3","There is no special clinical significance.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","NH3","Indice di diagnosi della malattia epatica per cani e gatti, danno epatico o epatopatia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanLow","NH3","Nej");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanHigh","LAC","The increase of lactate concentration may be acidosis, which is tissue hypoxia usually caused by respiratory failure or hypoperfusion. It is an important indicator for diagnosis, monitoring and prognosis of clinical emergency and severe cases. After st renuous exercise, it will also lead to high lactate.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanHigh","LAC","乳酸浓度升高可能是酸中毒，常见于呼吸衰竭或低灌注状态引起的组织缺氧，是临床急症和重症病例诊断、监控和预后的重要指标。剧烈运动后也会导致乳酸偏高。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanHigh","LAC","El aumento de la concentración de lactato puede ser acidosis, que es hipoxia tisular generalmente causada por insuficiencia respiratoria o hipoperfusión. Es un indicador importante para el diagnóstico, monitoreo y pronóstico de emergencias clínicas y casos severos. Después de un ejercicio intenso, también conducirá a un alto nivel de lactato.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanHigh","LAC","The increase of lactate concentration may be acidosis, which is tissue hypoxia usually caused by respiratory failure or hypoperfusion. It is an important indicator for diagnosis, monitoring and prognosis of clinical emergency and severe cases. After st renuous exercise, it will also lead to high lactate.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanHigh","LAC","Der Anstieg der Laktatkonzentration kann eine Azidose sein, bei der es sich um eine Gewebehypoxie handelt, die normalerweise durch Atemversagen oder Hypoperfusion verursacht wird. Es ist ein wichtiger Indikator für die Diagnose, Überwachung und Prognose von klinischen Notfällen und schweren Fällen. Nach langem Training führt es auch zu einem hohen Laktatgehalt.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanHigh","LAC","L'aumento della concentrazione di lattato può essere l'acidosi, che è l'ipossia tissutale solitamente causata da insufficienza respiratoria o ipoperfusione. È un indicatore importante per la diagnosi, il monitoraggio e la prognosi dell'emergenza clinica e dei casi gravi. Dopo un intenso esercizio fisico, porterà anche ad un alto lattato.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanHigh","LAC","Ökningen av laktatkoncentrationen kan vara acidos, vilket är vävnadshypoxi vanligtvis orsakat av andningsfel eller hypoperfusion. Det är en viktig indikator för diagnos, övervakning och prognos för kliniska akutfall och allvarliga fall. Efter st renuös träning kommer det också att leda till hög laktat");

Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("31","ClinicalMeanLow","LAC","There is no special clinical significance.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("25","ClinicalMeanLow","LAC","无特殊临床意义。");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("111","ClinicalMeanLow","LAC","Índice de diagnostico de enfermedad hepática para perros y gatos, daño al hígado o enfermedad hepática.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("37","ClinicalMeanLow","LAC","Indice de diagnostic de maladies hépatiques pour les chiens et les chats.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("42","ClinicalMeanLow","LAC","There is no special clinical significance.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("58","ClinicalMeanLow","LAC","Indice di diagnosi della malattia epatica per cani e gatti, danno epatico o epatopatia.");
Replace  Into [Language] ([LanguageID],[StrType],[StrID],[StrValue]) Values("114","ClinicalMeanLow","LAC","Nej");



Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("Na","Na","1","6","2","80","180","0","-1","455.0","0.0","0","0","1","4.0","25.5","220.0","80.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("tCO2","tCO2-1","1","-1","2","100","220","0","-1","360.0","0.0","0","0","0","0.5","-8.27","50.0","5.0","1","0","0.0","0.0","0.0","0.0","0.0","0.0");
Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("Cl","Cl","1","3","2","0","80","0","-1","156.3","0.0255","0","0","1","8.5","73.6","185.0","30.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0");

Replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI]) Values("LAC","LAC","0","1","0","220","0","0","-1","1.0","0.0","1","0","0","0.0","0.0","15.0","0.1","0","0","0.0","0.0","0.0","0.0","0.0","0.0");

Replace  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("LAC","0","0","58","LAC","乳酸","LAC","2","mmol/L","mmol/L","mmol/L","1","1.0","9.0","1.0","0.0","0");

Pragma foreign_keys=true;

