Pragma foreign_keys=false;

UPDATE DiffRef SET RefLower="0.0", RefUpper="5.1003060183611" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="44.2026521591295" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Equine" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="3.40020401224073" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Ferret" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="10.20061204" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Rat" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="4.25025501530092" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Pig" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="5.1003060183611" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Cattle" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="6.80040802448147" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Sheep" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="6.80040802448147" WHERE PatientObjType=0 AND AssayName="TB" AND Category="Goat" AND  AgeType IS NULL AND SmplType IS NULL;

DELETE FROM DiffRef where Category="Llama";
DELETE FROM DiffRef where Category="Monkey";
DELETE FROM DiffRef where Category="Tortoise";
DELETE FROM DiffRef where Category="Mouse" AND AssayName="TB";
DELETE FROM DiffRef where AssayName="TB" AND AgeType IS not NULL;

UPDATE DiffRef SET RefLower="0.0", RefUpper="18.0" WHERE PatientObjType=0 AND AssayName="TBA" AND Category="Feline" AND  AgeType IS NULL AND SmplType IS NULL;
UPDATE DiffRef SET RefLower="0.0", RefUpper="20.0" WHERE PatientObjType=0 AND AssayName="TBA" AND Category="Canine" AND  AgeType IS NULL AND SmplType IS NULL;
Delete from DiffRef where PatientObjType = '0' and AssayName = 'TBA' and Category = 'Canine' AND AgeType ="Childhood";
Delete from DiffRef where PatientObjType = '0' and AssayName = 'TBA' and Category = 'Canine' AND AgeType ="The elderly";

replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("TB","TB","2","4","0","220","0","0","-1","540.0","0.0","0","0","0","0.0","0.0","600.0","0.1","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("DB","DB","2","4","0","220","0","0","-1","1.0","0.0","1","0","0","0.0","0.0","250.0","0.1","1","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("IBIL","IBIL","-2","-2","-2","0","0","0","-1","12.3","0.0","0","0","0","0.0","1.0","250.0","0.1",NULL,NULL,"0.0","0.0","0.0","0.0","0.0","0.0","1.0");

replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("D-Dimer","D-Dimer","6","-1","0","180","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","3680","150","0","2","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
replace  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("FDP","FDP","6","-1","0","180","0","0","-1","0.0","0.0","0","0","0","0.0","0.0","80.0","2.5","0","2","0.0","0.0","0.0","0.0","0.0","0.0","1.0");
replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("200","4","D-Dimer","41","180","0",'0');
replace  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("200","6","FDP","41","180","0",'0');

Pragma foreign_keys=true;

