
Insert  Into [PlateList] ([PlateTypeCode],[PlateDescr],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[PlateType],[FlowType]) Values("203","凝血4项","1","13","3","7","5","14");
Insert  Into [PlateList] ([PlateTypeCode],[PlateDescr],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[PlateType],[FlowType]) Values("204","凝血6项","1","13","3","7","5","15");
update PlateList set FlowType='9' where PlateTypeCode='143' or  PlateTypeCode='151';

Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('203','8','Fib-2','0','0','0','0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('203','10','TT-2','0','0','0','0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('203','12','PT-2','0','0','0','0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values('203','24','APTT-2','0','0','0','0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","8","Fib-1","23","0","100",'0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","10","TT-1","21","0","100",'0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","12","PT-1","21","0","100",'0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","24","APTT-2","22","15","300",'0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","4","D-Dimer","41","180","0",'0');
Insert  Into [PlateParam] ([PlateTypeCode],[HoleIdx],[Assay],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend]) Values("204","6","FDP","41","180","0",'0');

Insert  Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag],[PatientObjType]) Values("APTT Ratio","1","0","0","APTT Ratio","活化部分凝血酶比值","APTT Ratio","1",NULL,NULL,NULL,"1","1.0","1.0","1.0","0.0","0","1");
Insert  Into [ReactionParam] ([AssayName],[ReactionID],[MainWave],[SecWave],[AnalysisMethod],[CalcStart],[CalcEnd],[CalcExtend],[CalibMethod],[OriFactor],[ReagBlk],[SubSampBlk],[UseTwoHole],[ExhaustOption],[ExhaustValue],[Intercept],[LinearUpper],[LinearLower],[ReactionDir],[CalcFormula],[ParamD],[ParamE],[ParamF],[ParamG],[ParamH],[ParamI],[Ratio]) Values("APTT Ratio","APTT Ratio","-2","-2","-2","0","0","0","-1","32.6","0.0","0","0","0","0.0","1.0","10.0","0.0","0","0","0.0","0.0","0.0","0.0","0.0","0.0","1.0");

ALTER TABLE HoleData
ADD [ErrorCode] nvarchar(700) default '';

Insert  Into [AnimalType]  Values("Deer", "1");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TG","Bird",NULL,NULL,"0.34","2.98");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TG","Deer",NULL,NULL,"0.1","0.56");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AMY","Bird",NULL,NULL,"0.0","1498.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AMY","Deer",NULL,NULL,"36.0","80.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Ca","Bird",NULL,NULL,"1.85","2.87");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Ca","Deer",NULL,NULL,"1.8","2.23");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TC","Bird",NULL,NULL,"0.0","9.73");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TC","Deer",NULL,NULL,"1.46","2.62");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GLU","Deer",NULL,NULL,"1.03","12.44");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Mg","Deer",NULL,NULL,"0.84","1.18");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TP","Bird",NULL,NULL,"27.0","84.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TP","Deer",NULL,NULL,"58.0","71.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALB","Deer",NULL,NULL,"27.0","34.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","UREA","Deer",NULL,NULL,"5.5","11.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LPS","Bird",NULL,NULL,"0.0","111.4");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LPS","Deer",NULL,NULL,"13.0","21.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Na","Bird",NULL,NULL,"135.0","156.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Na","Deer",NULL,NULL,"139.0","147.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Cl","Deer",NULL,NULL,"100.0","110.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PHOS","Bird",NULL,NULL,"0.94","2.98");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","PHOS","Deer",NULL,NULL,"1.92","2.96");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALP","Deer",NULL,NULL,"57.0","284.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","ALT","Deer",NULL,NULL,"36.0","117.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","AST","Deer",NULL,NULL,"54.0","144.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LAC","Deer",NULL,NULL,"2.0","5.5");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LDH","Bird",NULL,NULL,"0.0","2236.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","LDH","Deer",NULL,NULL,"446.0","1223.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","Crea","Deer",NULL,NULL,"91.0","170.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TB","Bird",NULL,NULL,"0.0","23.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TB","Deer",NULL,NULL,"0.0","8.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TBA","Bird",NULL,NULL,"0.0","48.2");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TBA","Rabbit",NULL,NULL,"0.0","40.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","TBA","Deer",NULL,NULL,"5.0","36.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","UA","Bird",NULL,NULL,"0.0","536.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","tCO2","Bird",NULL,NULL,"11.0","23.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","tCO2","Pig",NULL,NULL,"8.0","23.7");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","tCO2","Deer",NULL,NULL,"15.0","23.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","CK","Deer",NULL,NULL,"75.0","330.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GGT","Bird",NULL,NULL,"0.0","17.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","GGT","Deer",NULL,NULL,"23.0","44.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","K","Bird",NULL,NULL,"3.5","6.0");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","K","Deer",NULL,NULL,"4.8","5.8");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","pH","Rabbit",NULL,NULL,"7.21","7.58");
Insert  Into [DiffRef] ([PatientObjType],[AssayName],[Category],[AgeType],[SmplType],[RefLower],[RefUpper]) Values("0","pH","Deer",NULL,NULL,"7.03","7.70");
update DiffRef set RefLower='0.0',RefUpper='0.53' where PatientObjType = "0" and AssayName ='TG' and Category='Goat';
update DiffRef set RefLower='0.24',RefUpper='1.83' where PatientObjType = "0" and AssayName ='TG' and Category='Pig';
update DiffRef set RefLower='0.3',RefUpper='2.13' where PatientObjType = "0" and AssayName ='TG' and Category='Rabbit';
update DiffRef set RefLower='0.62',RefUpper='2.63' where PatientObjType = "0" and AssayName ='TG' and Category='Mouse';
update DiffRef set RefLower='41.0',RefUpper='456.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Cattle';
update DiffRef set RefLower='0.0',RefUpper='230.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Dairy Cow';
update DiffRef set RefLower='450.0',RefUpper='3594.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Pig';
update DiffRef set RefLower='0.0',RefUpper='124.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Goat';
update DiffRef set RefLower='144.0',RefUpper='500.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Rabbit';
update DiffRef set RefLower='35.0',RefUpper='500.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Monkey';
update DiffRef set RefLower='690.0',RefUpper='2839.0' where PatientObjType = "0" and AssayName ='AMY' and Category='Mouse';
update DiffRef set RefLower='1.50',RefUpper='2.50' where PatientObjType = "0" and AssayName ='Ca' and Category='Cattle';
update DiffRef set RefLower='1.86',RefUpper='2.45' where PatientObjType = "0" and AssayName ='Ca' and Category='Goat';
update DiffRef set RefLower='2.0',RefUpper='3.7' where PatientObjType = "0" and AssayName ='Ca' and Category='Rabbit';
update DiffRef set RefLower='1.48',RefUpper='2.60' where PatientObjType = "0" and AssayName ='Ca' and Category='Mouse';
update DiffRef set RefLower='1.33',RefUpper='3.01' where PatientObjType = "0" and AssayName ='Ca' and Category='Rat';
update DiffRef set RefLower='1.64',RefUpper='2.38' where PatientObjType = "0" and AssayName ='Ca' and Category='Ferret';
update DiffRef set RefLower='1.5',RefUpper='4.25' where PatientObjType = "0" and AssayName ='Ca' and Category='Tortoise';
update DiffRef set RefLower='0.0',RefUpper='4.74' where PatientObjType = "0" and AssayName ='TC' and Category='Pig';
update DiffRef set RefLower='0.3',RefUpper='3.0' where PatientObjType = "0" and AssayName ='TC' and Category='Rabbit';
update DiffRef set RefLower='3.2',RefUpper='8.5' where PatientObjType = "0" and AssayName ='GLU' and Category='Cattle';
update DiffRef set RefLower='3.33',RefUpper='9.00' where PatientObjType = "0" and AssayName ='GLU' and Category='Pig';
update DiffRef set RefLower='4.17',RefUpper='12.6' where PatientObjType = "0" and AssayName ='GLU' and Category='Rabbit';
update DiffRef set RefLower='2.78',RefUpper='11.5' where PatientObjType = "0" and AssayName ='GLU' and Category='Monkey';
update DiffRef set RefLower='3.44',RefUpper='10.67' where PatientObjType = "0" and AssayName ='GLU' and Category='Mouse';
update DiffRef set RefLower='2.65',RefUpper='5.17' where PatientObjType = "0" and AssayName ='GLU' and Category='Goat';
update DiffRef set RefLower='3.6',RefUpper='11.5' where PatientObjType = "0" and AssayName ='GLU' and Category='Ferret';
update DiffRef set RefLower='0.53',RefUpper='1.26' where PatientObjType = "0" and AssayName ='Mg' and Category='Cattle';
update DiffRef set RefLower='0.6',RefUpper='1.45' where PatientObjType = "0" and AssayName ='Mg' and Category='Rabbit';
update DiffRef set RefLower='60.0',RefUpper='88.0' where PatientObjType = "0" and AssayName ='TP' and Category='Cattle';
update DiffRef set RefLower='49.0',RefUpper='80.0' where PatientObjType = "0" and AssayName ='TP' and Category='Pig';
update DiffRef set RefLower='59.0',RefUpper='87.0' where PatientObjType = "0" and AssayName ='TP' and Category='Monkey';
update DiffRef set RefLower='36.0',RefUpper='72.0' where PatientObjType = "0" and AssayName ='TP' and Category='Mouse';
update DiffRef set RefLower='53.0',RefUpper='76.0' where PatientObjType = "0" and AssayName ='TP' and Category='Rat';
update DiffRef set RefLower='52.0',RefUpper='83.0' where PatientObjType = "0" and AssayName ='TP' and Category='Ferret';
update DiffRef set RefLower='25.0',RefUpper='39.0' where PatientObjType = "0" and AssayName ='ALB' and Category='Dairy Cow';
update DiffRef set RefLower='22.3',RefUpper='45.3' where PatientObjType = "0" and AssayName ='ALB' and Category='Pig';
update DiffRef set RefLower='25.0',RefUpper='52.0' where PatientObjType = "0" and AssayName ='ALB' and Category='Rabbit';
update DiffRef set RefLower='28.0',RefUpper='48.5' where PatientObjType = "0" and AssayName ='ALB' and Category='Monkey';
update DiffRef set RefLower='25.0',RefUpper='48.0' where PatientObjType = "0" and AssayName ='ALB' and Category='Mouse';
update DiffRef set RefLower='10.0',RefUpper='37.0' where PatientObjType = "0" and AssayName ='ALB' and Category='Bird';
update DiffRef set RefLower='14.0',RefUpper='52.0' where PatientObjType = "0" and AssayName ='GLOB' and Category='Pig';
update DiffRef set RefLower='27.0',RefUpper='62.0' where PatientObjType = "0" and AssayName ='GLOB' and Category='Goat';
update DiffRef set RefLower='3.6',RefUpper='17.0' where PatientObjType = "0" and AssayName ='UREA' and Category='Rabbit';
update DiffRef set RefLower='2.5',RefUpper='10.3' where PatientObjType = "0" and AssayName ='UREA' and Category='Monkey';
update DiffRef set RefLower='3.2',RefUpper='11.4' where PatientObjType = "0" and AssayName ='UREA' and Category='Rat';
update DiffRef set RefLower='2.5',RefUpper='13.2' where PatientObjType = "0" and AssayName ='BUN' and Category='Cattle';
update DiffRef set RefLower='2.14',RefUpper='6.1' where PatientObjType = "0" and AssayName ='BUN' and Category='Dairy Cow';
update DiffRef set RefLower='3.6',RefUpper='17.0' where PatientObjType = "0" and AssayName ='BUN' and Category='Rabbit';
update DiffRef set RefLower='2.5',RefUpper='10.3' where PatientObjType = "0" and AssayName ='BUN' and Category='Monkey';
update DiffRef set RefLower='3.2',RefUpper='11.4' where PatientObjType = "0" and AssayName ='BUN' and Category='Rat';
update DiffRef set RefLower='0.0',RefUpper='163.8' where PatientObjType = "0" and AssayName ='LPS' and Category='Rabbit';
update DiffRef set RefLower='122.0',RefUpper='148.0' where PatientObjType = "0" and AssayName ='Na' and Category='Cattle';
update DiffRef set RefLower='135.0',RefUpper='156.0' where PatientObjType = "0" and AssayName ='Na' and Category='Rabbit';
update DiffRef set RefLower='92.0',RefUpper='111.0' where PatientObjType = "0" and AssayName ='Cl' and Category='Cattle';
update DiffRef set RefLower='92.0',RefUpper='114.0' where PatientObjType = "0" and AssayName ='Cl' and Category='Rabbit';
update DiffRef set RefLower='0.81',RefUpper='2.85' where PatientObjType = "0" and AssayName ='PHOS' and Category='Cattle';
update DiffRef set RefLower='1.61',RefUpper='3.45' where PatientObjType = "0" and AssayName ='PHOS' and Category='Pig';
update DiffRef set RefLower='0.74',RefUpper='2.23' where PatientObjType = "0" and AssayName ='PHOS' and Category='Rabbit';
update DiffRef set RefLower='0.77',RefUpper='2.5' where PatientObjType = "0" and AssayName ='PHOS' and Category='Monkey';
update DiffRef set RefLower='1.35',RefUpper='2.85' where PatientObjType = "0" and AssayName ='PHOS' and Category='Goat';
update DiffRef set RefLower='1.35',RefUpper='2.87' where PatientObjType = "0" and AssayName ='PHOS' and Category='Ferret';
update DiffRef set RefLower='0.74',RefUpper='2.72' where PatientObjType = "0" and AssayName ='PHOS' and Category='Tortoise';
update DiffRef set RefLower='18.0',RefUpper='286.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Cattle';
update DiffRef set RefLower='64.0',RefUpper='576.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Pig';
update DiffRef set RefLower='75.0',RefUpper='550.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Goat';
update DiffRef set RefLower='0.0',RefUpper='145.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Rabbit';
update DiffRef set RefLower='0.0',RefUpper='210.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Monkey';
update DiffRef set RefLower='62.0',RefUpper='222.0' where PatientObjType = "0" and AssayName ='ALP' and Category='Mouse';
update DiffRef set RefLower='0.0',RefUpper='90.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Cattle';
update DiffRef set RefLower='0.0',RefUpper='95.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Pig';
update DiffRef set RefLower='0.0',RefUpper='134.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Bird';
update DiffRef set RefLower='0.0',RefUpper='106.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Rabbit';
update DiffRef set RefLower='0.0',RefUpper='92.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Rat';
update DiffRef set RefLower='0.0',RefUpper='550.0' where PatientObjType = "0" and AssayName ='ALT' and Category='Ferret';
update DiffRef set RefLower='50.0',RefUpper='162.0' where PatientObjType = "0" and AssayName ='AST' and Category='Cattle';
update DiffRef set RefLower='16.0',RefUpper='90.0' where PatientObjType = "0" and AssayName ='AST' and Category='Pig';
update DiffRef set RefLower='85.0',RefUpper='321.0' where PatientObjType = "0" and AssayName ='AST' and Category='Goat';
update DiffRef set RefLower='0.0',RefUpper='113.0' where PatientObjType = "0" and AssayName ='AST' and Category='Rabbit';
update DiffRef set RefLower='13.0',RefUpper='94.0' where PatientObjType = "0" and AssayName ='AST' and Category='Monkey';
update DiffRef set RefLower='59.0',RefUpper='269.0' where PatientObjType = "0" and AssayName ='AST' and Category='Mouse';
update DiffRef set RefLower='0.0',RefUpper='274.0' where PatientObjType = "0" and AssayName ='AST' and Category='Rat';
update DiffRef set RefLower='28.0',RefUpper='248.0' where PatientObjType = "0" and AssayName ='AST' and Category='Ferret';
update DiffRef set RefLower='14.0',RefUpper='438.0' where PatientObjType = "0" and AssayName ='AST' and Category='Tortoise';
update DiffRef set RefLower='0.5',RefUpper='7.7' where PatientObjType = "0" and AssayName ='LAC' and Category='Cattle';
update DiffRef set RefLower='0.0',RefUpper='3000.0' where PatientObjType = "0" and AssayName ='LDH' and Category='Cattle';
update DiffRef set RefLower='575.0',RefUpper='1200.0' where PatientObjType = "0" and AssayName ='LDH' and Category='Pig';
update DiffRef set RefLower='0.0',RefUpper='432.0' where PatientObjType = "0" and AssayName ='LDH' and Category='Goat';
update DiffRef set RefLower='34.0',RefUpper='335.0' where PatientObjType = "0" and AssayName ='LDH' and Category='Rabbit';
update DiffRef set RefLower='249.0',RefUpper='1990.0' where PatientObjType = "0" and AssayName ='LDH' and Category='Mouse';
update DiffRef set RefLower='44.0',RefUpper='215.0' where PatientObjType = "0" and AssayName ='Crea' and Category='Cattle';
update DiffRef set RefLower='44.0',RefUpper='230.0' where PatientObjType = "0" and AssayName ='Crea' and Category='Rabbit';
update DiffRef set RefLower='17.0',RefUpper='70.0' where PatientObjType = "0" and AssayName ='Crea' and Category='Rat';
update DiffRef set RefLower='18.0',RefUpper='88.0' where PatientObjType = "0" and AssayName ='Crea' and Category='Ferret';
update DiffRef set RefLower='0.0',RefUpper='7.65' where PatientObjType = "0" and AssayName ='TB' and Category='Pig';
update DiffRef set RefLower='0.0',RefUpper='17.0' where PatientObjType = "0" and AssayName ='TB' and Category='Monkey';
update DiffRef set RefLower='0.0',RefUpper='10.2' where PatientObjType = "0" and AssayName ='TB' and Category='Rat';
update DiffRef set RefLower='0.0',RefUpper='60.0' where PatientObjType = "0" and AssayName ='UA' and Category='Rabbit';
update DiffRef set RefLower='30.0',RefUpper='606.0' where PatientObjType = "0" and AssayName ='UA' and Category='Tortoise';
update DiffRef set RefLower='13.4',RefUpper='30.0' where PatientObjType = "0" and AssayName ='tCO2' and Category='Cattle';
update DiffRef set RefLower='0.0',RefUpper='2775.0' where PatientObjType = "0" and AssayName ='CK' and Category='Cattle';
update DiffRef set RefLower='0.0',RefUpper='638.0' where PatientObjType = "0" and AssayName ='CK' and Category='Dairy Cow';
update DiffRef set RefLower='28.0',RefUpper='582.0' where PatientObjType = "0" and AssayName ='CK' and Category='Goat';
update DiffRef set RefLower='68.0',RefUpper='1990.0' where PatientObjType = "0" and AssayName ='CK' and Category='Mouse';
update DiffRef set RefLower='0.0',RefUpper='2843.0' where PatientObjType = "0" and AssayName ='CK' and Category='Rat';
update DiffRef set RefLower='0.0',RefUpper='27.0' where PatientObjType = "0" and AssayName ='GGT' and Category='Cattle';
update DiffRef set RefLower='16.0',RefUpper='86.0' where PatientObjType = "0" and AssayName ='GGT' and Category='Pig';
update DiffRef set RefLower='0.0',RefUpper='64.0' where PatientObjType = "0" and AssayName ='GGT' and Category='Goat';
update DiffRef set RefLower='0.0',RefUpper='78.0' where PatientObjType = "0" and AssayName ='GGT' and Category='Monkey';

REPLACE Into [AssayParam] ([AssayName],[IsCalcAssay],[IsInner],[Seq],[ShowName],[PrnName],[LisID],[Digits],[Unit],[SIUnit],[NSIunit],[IsSIUnit],[UnitFactor],[ConvertFactor],[ConcReviseA],[ConcReviseB],[ChgPrnNameFlag]) Values("GFR","1","0","0","eGFRcr","肾小球滤过率","eGFRcr","1",NULL,NULL,NULL,"1","1.0","1.0","1.0","0.0","0");

Insert  Into [PlateList] ([PlateTypeCode],[PlateDescr],[IsInner],[PlateSetFileID],[FlowSetFileID],[ResultSetFileID],[PlateType],[FlowType]) Values("Z11","QC","1","1","3","7","0","0");

Insert  Into [SettingFile] ([FileID],[FileType],[FileName],[FileTitle],[Descr]) Values("15","0","TestPlate_40HoleV3.ini","40孔V3测试盘","适用于医院常规40孔V3测试盘");
Insert  Into [SettingFile] ([FileID],[FileType],[FileName],[FileTitle],[Descr]) Values("16","0","TestPlate_40HoleV4.ini","40孔V4测试盘","适用于医院常规40孔V4测试盘");
