#!/system/bin/sh

# 说明：1.Android中最简打印系统测试
#       2.gs和hpijs是静态编译的，可以直接运行
#       6.假设gs hpijs gs.tar.gz tiger.ps在sd卡目录/mnt/external_sd中。
#       3.已经测试型号：1) HP Deskjet 1000 .
#       4.日期：2014-01-13.

# 0.前提
#   kernel要选上[*] USB Printer support的支持

# 1.重新挂载文件系统使其可写
mount -o remount,rw /system             &&
mount -o remount,rw / || echo "error!"  &&

# 6.打印测试文件tiger.ps
gs -sDEVICE=ijs -sIjsServer=hpijs -dIjsUseOutputFD -sDeviceManufacturer="HEWLETT-PACKARD" -sDeviceModel="deskjet 5550" -r300x300 -dNOPAUSE -dSAFER -sOutputFile="/dev/usb/lp0" ./test.pdf -c quit

# 7.优化空间
#   a.tmp目录改到其它目录，目录改为固件的文件名
#   b.gs的配置文件目录调整，调整到/system/usr/...
